﻿using System;
using jp.veritrans.tercerog.mdk;
using jp.veritrans.tercerog.mdk.dto;
using Microsoft.Extensions.Logging;

namespace ConsoleApplication.alipay
{
    /// <summary>
    /// Alipay決済 確認要求サンプル
    /// </summary>
    public partial class CLI_AlipayConfirm
    {
        public virtual void Exec(ILogger logger, MerchantConfig merchantConfig)
        {
            /**
             * 取引ID
             * 対象の取引IDを指定します
             */
            String orderId = "change_order_here";

            /**
             * レスポンスタイプ
             * 
             * 0 : 取引確定時にレスポンスを返却する。
             * 1 : 即時にレスポンスを返却する。
             */
            String responseType = "0";

            /**
             * 要求電文パラメータ値の指定
             */
            AlipayConfirmRequestDto requestData = new AlipayConfirmRequestDto();
            requestData.OrderId = orderId;
            requestData.ResponseType = responseType;

            /**
             * 実行と結果表示
             */
            Transaction tran = new Transaction(logger, merchantConfig);
            AlipayConfirmResponseDto responseData = (AlipayConfirmResponseDto)tran.Execute(requestData);

            System.Console.WriteLine("<< REQUEST >>");
            System.Console.WriteLine("Order ID:" + requestData.OrderId);
            System.Console.WriteLine("ResponseType:" + requestData.ResponseType);

            System.Console.WriteLine("<< RESPONSE >>");
            System.Console.WriteLine("MStatus:" + responseData.Mstatus);
            System.Console.WriteLine("Message:" + responseData.MerrMsg);
            System.Console.WriteLine("Result Code:" + responseData.VResultCode);
            System.Console.WriteLine("Cust Txn:" + responseData.CustTxn);
            System.Console.WriteLine("Center Trade ID:" + responseData.CenterTradeId);
            System.Console.WriteLine("Pay Time JP:" + responseData.PayTimeJp);
            System.Console.WriteLine("Pay Time CN:" + responseData.PayTimeCn);
            System.Console.WriteLine("Buyer Charged Amount CNY:" + responseData.BuyerChargedAmountCny);
        }
    }
}
