﻿using System;
using jp.veritrans.tercerog.mdk;
using jp.veritrans.tercerog.mdk.dto;
using Microsoft.Extensions.Logging;

namespace ConsoleApplication.alipay
{
    /// <summary>
    /// Alipay決済 返金要求サンプル
    /// </summary>
    public partial class CLI_AlipayRefund
    {
        public virtual void Exec(ILogger logger, MerchantConfig merchantConfig)
        {
            /**
             * 取引ID
             * 対象の取引IDを指定します
             */
            String orderId = "change_order_here";
            /**
             * 支払金額
             */
            String amount = "5";
            /**
             * 返金理由
             */
            String reason = "返金理由";

            /**
             * 要求電文パラメータ値の指定
             */
            AlipayRefundRequestDto requestData = new AlipayRefundRequestDto();
            requestData.OrderId = orderId;
            requestData.Amount = amount;
            requestData.Reason = reason;

            /**
             * 実行と結果表示
             */
            Transaction tran = new Transaction(logger, merchantConfig);
            AlipayRefundResponseDto responseData = (AlipayRefundResponseDto)tran.Execute(requestData);

            System.Console.WriteLine("<< REQUEST >>");
            System.Console.WriteLine("Order ID:" + requestData.OrderId);
            System.Console.WriteLine("Amount:" + requestData.Amount);
            System.Console.WriteLine("Reason:" + requestData.Reason);

            System.Console.WriteLine("<< RESPONSE >>");
            System.Console.WriteLine("Balance:" + responseData.Balance);
            System.Console.WriteLine("MStatus:" + responseData.Mstatus);
            System.Console.WriteLine("Message:" + responseData.MerrMsg);
            System.Console.WriteLine("Result Code:" + responseData.VResultCode);
        }
    }
}
