﻿using System;
using System.Collections.Generic;
using System.Text;
using jp.veritrans.tercerog.mdk.dto;
using jp.veritrans.tercerog.mdk;
using Microsoft.Extensions.Logging;

namespace ConsoleApplication.amazonpay
{
    public class CLI_AmazonpayAuthorize
    {
        public virtual void Exec(ILogger logger, MerchantConfig merchantConfig)
        {
            // 取引ID
            String orderId = "dummy" + System.DateTime.Now.ToString("HHmmssfff");

            // 決済金額
            String amount = "10";

            // 売上フラグ
            String isWithCapture = "false";

            // 配送先表示抑止フラグ
            String isSuppressShippingAddressView = "false";

            // 注文説明
            String noteToBuyer = "テスト商品";

            // 成功時URL
            String successUrl = "https://example.com";

            // キャンセル時URL
            String cancelUrl = "https://example.com";

            // エラー時URL
            String errorUrl = "https://example.com";

            /**
             * 要求電文パラメータ値の指定
             */
            var requestData = new AmazonpayAuthorizeRequestDto();
            requestData.OrderId = orderId;
            requestData.Amount = amount;
            requestData.WithCapture = isWithCapture;
            requestData.SuppressShippingAddressView = isSuppressShippingAddressView;
            requestData.NoteToBuyer = noteToBuyer;
            requestData.SuccessUrl = successUrl;
            requestData.CancelUrl = cancelUrl;
            requestData.ErrorUrl = errorUrl;
            //requestData.PayConfirmScreenType = "1";
            //requestData.PayConfirmScreenUrl = "https://example.com/payconrirmurl";

            /**
             * 実行と結果表示  
            */
            var tran = new Transaction(logger, merchantConfig);
            var responseData = (AmazonpayAuthorizeResponseDto)tran.Execute(requestData);

            System.Console.WriteLine("<< REQUEST >>");
            System.Console.WriteLine("Order ID:" + requestData.OrderId);
            System.Console.WriteLine("Amount:" + requestData.Amount);
            System.Console.WriteLine("With Capture:" + requestData.WithCapture);
            System.Console.WriteLine("Suppress Shipping Address View:" + requestData.SuppressShippingAddressView);
            System.Console.WriteLine("Note To Buyer:" + requestData.NoteToBuyer);
            System.Console.WriteLine("Success Url:" + requestData.SuccessUrl);
            System.Console.WriteLine("Cancel Url:" + requestData.CancelUrl);
            System.Console.WriteLine("Error Url:" + requestData.ErrorUrl);
            System.Console.WriteLine("<< RESPONSE >>");
            System.Console.WriteLine("MStatus:" + responseData.Mstatus);
            System.Console.WriteLine("Message:" + responseData.MerrMsg);
            System.Console.WriteLine("Result Code:" + responseData.VResultCode);
            System.Console.WriteLine("Response Contents:" + responseData.ResponseContents);
        }
    }
}
