﻿using System;
using System.Collections.Generic;
using System.Text;
using jp.veritrans.tercerog.mdk.dto;
using jp.veritrans.tercerog.mdk;
using Microsoft.Extensions.Logging;

namespace ConsoleApplication.amazonpay
{
    public class CLI_AmazonpayCapture
    {
        public virtual void Exec(ILogger logger, MerchantConfig merchantConfig)
        {
            // 取引ID(与信時に利用したものを設定してください)
            String orderId = "dummy1234567890";

            // 決済金額
            String amount = "10";

            /**
             * 要求電文パラメータ値の指定
             */
            var requestData = new AmazonpayCaptureRequestDto();
            requestData.OrderId = orderId;
            requestData.Amount = amount;

            /**
             * 実行と結果表示  
            */
            var tran = new Transaction(logger, merchantConfig);
            var responseData = (AmazonpayCaptureResponseDto)tran.Execute(requestData);

            System.Console.WriteLine("<< REQUEST >>");
            System.Console.WriteLine("Order ID:" + requestData.OrderId);
            System.Console.WriteLine("Amount:" + requestData.Amount);
            System.Console.WriteLine("<< RESPONSE >>");
            System.Console.WriteLine("MStatus:" + responseData.Mstatus);
            System.Console.WriteLine("Message:" + responseData.MerrMsg);
            System.Console.WriteLine("Result Code:" + responseData.VResultCode);
            System.Console.WriteLine("Center Response Datetime:" + responseData.CenterResponseDatetime);
            System.Console.WriteLine("Center Order Id:" + responseData.CenterOrderId);
            System.Console.WriteLine("Center Transaction Id:" + responseData.CenterTransactionId);
        }
    }
}
