﻿using System;
using System.Collections.Generic;
using System.Text;
using jp.veritrans.tercerog.mdk.dto;
using jp.veritrans.tercerog.mdk;
using Microsoft.Extensions.Logging;

namespace ConsoleApplication.amazonpay
{
    public class CLI_AmazonpayGetAddress
    {
        public virtual void Exec(ILogger logger, MerchantConfig merchantConfig)
        {
            // 取引ID(住所情報取得対象の取引IDを設定してください)
            String orderId = "dummy1234567890";

            /**
             * 要求電文パラメータ値の指定
             */
            var requestData = new AmazonpayGetAddressRequestDto();
            requestData.OrderId = orderId;

            /**
             * 実行と結果表示  
            */
            var tran = new Transaction(logger, merchantConfig);
            var responseData = (AmazonpayGetAddressResponseDto)tran.Execute(requestData);

            System.Console.WriteLine("<< REQUEST >>");
            System.Console.WriteLine("Order ID:" + requestData.OrderId);
            System.Console.WriteLine("<< RESPONSE >>");
            System.Console.WriteLine("MStatus:" + responseData.Mstatus);
            System.Console.WriteLine("Message:" + responseData.MerrMsg);
            System.Console.WriteLine("Result Code:" + responseData.VResultCode);
            System.Console.WriteLine("Center Response Datetime:" + responseData.CenterResponseDatetime);
            System.Console.WriteLine("Shipping Name:" + responseData.ShippingName);
            System.Console.WriteLine("Shipping Phone:" + responseData.ShippingPhone);
            System.Console.WriteLine("Shipping Address1:" + responseData.ShippingAddress1);
            System.Console.WriteLine("Shipping Address2:" + responseData.ShippingAddress2);
            System.Console.WriteLine("Shipping Address3:" + responseData.ShippingAddress3);
            System.Console.WriteLine("Shipping Prefecture:" + responseData.ShippingPrefecture);
            System.Console.WriteLine("Shipping Postal Code:" + responseData.ShippingPostalCode);
        }
    }
}
