﻿using System;
using jp.veritrans.tercerog.mdk.dto;
using jp.veritrans.tercerog.mdk;
using Microsoft.Extensions.Logging;

namespace ConsoleApplication.card
{
    /// <summary>
    /// クレジットカード決済 取消要求サンプル
    /// </summary>
    public class CLI_CardCancel
    {
        public virtual void Exec(ILogger logger, MerchantConfig merchantConfig)
        {
            /**
             * 取引ID
             * 与信完了または売上完了状態の取引のIDを指定
             */
            String orderId = "";
            /**
             * 支払金額
             * 指定無しの場合全額取消
             */
            String amount = "5";

            /**
             * 要求電文パラメータ値の指定
             */
            CardCancelRequestDto requestData = new CardCancelRequestDto();
            requestData.OrderId = orderId;
            requestData.Amount = amount;

            /**
             * 実行と結果表示
             */
            Transaction tran = new Transaction(logger, merchantConfig);
            CardCancelResponseDto responseData = (CardCancelResponseDto)tran.Execute(requestData);

            System.Console.WriteLine("<< REQUEST >>");
            System.Console.WriteLine("Order ID:" + requestData.OrderId);
            System.Console.WriteLine("Amount:" + requestData.Amount);

            System.Console.WriteLine("<< RESPONSE >>");
            System.Console.WriteLine("MStatus:" + responseData.Mstatus);
            System.Console.WriteLine("Message:" + responseData.MerrMsg);
            System.Console.WriteLine("Result Code:" + responseData.VResultCode);
            System.Console.WriteLine("Auth Code:" + responseData.ResAuthCode);
            System.Console.WriteLine("Reference Number:" + responseData.ResReturnReferenceNumber);
        }
    }
}
