﻿using System;
using System.Collections.Generic;
using System.Text;
using jp.veritrans.tercerog.mdk.dto;
using jp.veritrans.tercerog.mdk;
using Microsoft.Extensions.Logging;

namespace ConsoleApplication.carrier
{
    /// <summary>
    /// キャリア決済(キャンセル)サンプル
    /// </summary>
    class CLI_CarrierCancel
    {
        public virtual void Exec(ILogger logger, MerchantConfig merchantConfig)
        {
            /**
             * サービスオプションタイプ 
             * au          : auかんたん決済
             * docomo      : ドコモケータイ払い
             * sb_ktai     : ソフトバンクまとめて支払い(B)
             */
            String serviceOptionType = "au";
            /**
             * 取引ID
             * 与信完了取引のIDを指定
             */
            String orderId = "dummy1372837865539";
            /**
             * 課金取消月
             * 継続課金(au/docomo)の場合、指定した年月の売り上げをキャンセルします
             * 形式は YYYYMM
             */
            String cancelMonth = "";
            /**
             * 金額
             * 返金金額を指定
             * docomoのみ売上後の部分取消が可能
             */
            String amount = "";

            CarrierCancelRequestDto requestData = new CarrierCancelRequestDto();
            requestData.ServiceOptionType = serviceOptionType;
            requestData.OrderId = orderId;
            requestData.CancelMonth = cancelMonth;
            requestData.Amount = amount;

            /**
             * 実行と結果表示
             */
            Transaction tran = new Transaction(logger, merchantConfig);
            CarrierCancelResponseDto responseDate = (CarrierCancelResponseDto)tran.Execute(requestData);

            System.Console.WriteLine("<< REQUEST >>");
            System.Console.WriteLine("Order ID:" + requestData.OrderId);
            System.Console.WriteLine("Service Option Type:" + requestData.ServiceOptionType);
            System.Console.WriteLine("Cancel Month:" + requestData.CancelMonth);
            System.Console.WriteLine("Amount:" + requestData.Amount);

            System.Console.WriteLine("<< RESPONSE >>");
            System.Console.WriteLine("Balance:" + responseDate.Balance);
            System.Console.WriteLine("MStatus:" + responseDate.Mstatus);
            System.Console.WriteLine("Message:" + responseDate.MerrMsg);
            System.Console.WriteLine("Result Code:" + responseDate.VResultCode);
            System.Console.WriteLine("Cancel Date Time:" + responseDate.CancelDatetime);
        }
    }
}
