﻿using System;
using System.Collections.Generic;
using System.Text;
using jp.veritrans.tercerog.mdk.dto;
using jp.veritrans.tercerog.mdk;
using Microsoft.Extensions.Logging;

namespace ConsoleApplication.carrier
{
    /// <summary>
    /// キャリア決済(限度額確保要求)サンプル
    /// </summary>
    class CLI_CarrierReAuthorize
    {
        public virtual void Exec(ILogger logger, MerchantConfig merchantConfig)
        {
            /**
             * サービスオプションタイプ 
             * docomo      : ドコモケータイ払い
             */
            String serviceOptionType = "docomo";
            /**
             * 取引ID
             */
            String orderId = "dummy" + System.DateTime.Now.ToString("HHmmssfff");
            /**
             * 元取引ID
             * 対象とする過去の取引IDを指定
             */
            String originalOrderId = "";
            /**
             * 与信方法(同時売上実施の有無)
             */
            String withCapture = "false";
            /**
             * 金額
             */
            String amount = "10";

            CarrierReAuthorizeRequestDto requestData = new CarrierReAuthorizeRequestDto();
            requestData.ServiceOptionType = serviceOptionType;
            requestData.OrderId = orderId;
            requestData.OriginalOrderId = originalOrderId;
            requestData.WithCapture = withCapture;
            requestData.Amount = amount;
            /**
             * 実行と結果表示  
            */
            Transaction tran = new Transaction(logger, merchantConfig);
            CarrierReAuthorizeResponseDto responseDate = (CarrierReAuthorizeResponseDto)tran.Execute(requestData);

            System.Console.WriteLine("<< REQUEST >>");
            System.Console.WriteLine("Service Option Type:" + requestData.ServiceOptionType);
            System.Console.WriteLine("Order ID:" + requestData.OrderId);
            System.Console.WriteLine("Original Order ID:" + requestData.OriginalOrderId);
            System.Console.WriteLine("With Capture:" + requestData.WithCapture);
            System.Console.WriteLine("Amount:" + requestData.Amount);

            System.Console.WriteLine("<< RESPONSE >>");
            System.Console.WriteLine("MStatus:" + responseDate.Mstatus);
            System.Console.WriteLine("Message:" + responseDate.MerrMsg);
            System.Console.WriteLine("Result Code:" + responseDate.VResultCode);
            System.Console.WriteLine("ReAuthorize Date Time:" + responseDate.TxnTime);
        }
    }
}
