﻿using System;
using System.Collections.Generic;
using System.Text;
using jp.veritrans.tercerog.mdk.dto;
using jp.veritrans.tercerog.mdk;
using Microsoft.Extensions.Logging;

namespace ConsoleApplication.carrier
{
    /// <summary>
    /// キャリア決済(継続終了)サンプル
    /// </summary>
    class CLI_CarrierTerminate
    {
        public virtual void Exec(ILogger logger, MerchantConfig merchantConfig)
        {
            /**
             * サービスオプションタイプ 
             * au          : auかんたん決済
             * docomo      : ドコモケータイ払い
             * sb_ktai     : ソフトバンクまとめて支払い(B)
             * sb_matomete : ソフトバンクまとめて支払い(A)
             */
            String serviceOptionType = "au";
            /**
             * 取引ID
             * 与信完了取引のIDを指定
             */
            String orderId = "dummy1372838284028";
            /**
             * 強制解約
             */
            String force = "";
            /**
             * 端末種別
             */
            String terminalKind = "";

            CarrierTerminateRequestDto requestData = new CarrierTerminateRequestDto();
            requestData.ServiceOptionType = serviceOptionType;
            requestData.OrderId = orderId;
            requestData.Force = force;
            requestData.TerminalKind = terminalKind;

            /**
             * 実行と結果の表示
             */
            Transaction tran = new Transaction(logger, merchantConfig);
            CarrierTerminateResponseDto responseDate = (CarrierTerminateResponseDto)tran.Execute(requestData);

            System.Console.WriteLine("<< REQUEST >>");
            System.Console.WriteLine("Order ID:" + requestData.OrderId);
            System.Console.WriteLine("Service Option Type:" + requestData.ServiceOptionType);
            System.Console.WriteLine("Force:" + requestData.Force);
            System.Console.WriteLine("Terminal Kind:" + requestData.TerminalKind);

            System.Console.WriteLine("<< RESPONSE >>");
            System.Console.WriteLine("MStatus:" + responseDate.Mstatus);
            System.Console.WriteLine("Message:" + responseDate.MerrMsg);
            System.Console.WriteLine("Result Code:" + responseDate.VResultCode);
            System.Console.WriteLine("Terminate Date Time:" + responseDate.TerminateDatetime);
        }
    }
}
