﻿using System;
using jp.veritrans.tercerog.mdk;
using jp.veritrans.tercerog.mdk.dto;
using Microsoft.Extensions.Logging;

namespace ConsoleApplication.cvs
{
    /// <summary>
    /// コンビニ決済 取消要求サンプル
    /// </summary>
    public partial class CLI_CvsCancel
    {
        public virtual void Exec(ILogger logger, MerchantConfig merchantConfig)
        {
            /**
             * コンビニエンスストアの分類を指定
             * 
             * セブンイレブン                   ：　"sej"
             * ファミリーマート、ローソンその他 ：　"econ"
             * その他                           ：　"other"　（サークルKサンクス、デイリーヤマザキ、ヤマザキデイリーストアー、タイムリー、ミニストップ）
             */
            String serviceOptionType = "sej";

            /**
             * 取引ID
             * 申込時の取引IDを指定
             */
            String orderId = "";

            /**
             * 要求電文パラメータ値の指定
             */
            CvsCancelRequestDto requestData = new CvsCancelRequestDto();
            requestData.ServiceOptionType = serviceOptionType;
            requestData.OrderId = orderId;

            /**
             * 実行と結果表示  
             */
            Transaction tran = new Transaction(logger, merchantConfig);
            CvsCancelResponseDto responseData = (CvsCancelResponseDto)tran.Execute(requestData);

            System.Console.WriteLine("<< REQUEST >>");
            System.Console.WriteLine("Order ID:" + requestData.OrderId);

            System.Console.WriteLine("<< RESPONSE >>");
            System.Console.WriteLine("MStatus:" + responseData.Mstatus);
            System.Console.WriteLine("Message:" + responseData.MerrMsg);
            System.Console.WriteLine("Result Code:" + responseData.VResultCode);
        }
    }
}
