﻿using System;
using jp.veritrans.tercerog.mdk;
using jp.veritrans.tercerog.mdk.dto;
using Microsoft.Extensions.Logging;

namespace ConsoleApplication.em
{
    public class CLI_EmReAuthorize
    {
        public virtual void Exec(ILogger logger, MerchantConfig merchantConfig)
        {

            /**
             * 決済方式
             * nanaco決済                        : tcc-redirect
             */
            String serviceOptionType = "tcc-redirect";
            /**
             * 取引ID
             */
            String orderId = "";

            /**
             * 要求電文パラメータ値の指定
             */
            EmReAuthorizeRequestDto requestData = new EmReAuthorizeRequestDto();

            requestData.ServiceOptionType = serviceOptionType;
            requestData.OrderId = orderId;
            requestData.ReAuthorizeRedirectionUrl = "";

            /**
             * 実行と結果表示
             */
            Transaction tran = new Transaction(logger, merchantConfig);
            EmReAuthorizeResponseDto responseData = (EmReAuthorizeResponseDto) tran.Execute(requestData);

            System.Console.WriteLine("<< REQUEST >>");
            System.Console.WriteLine("ServiceOptionType:" + requestData.ServiceOptionType);
            System.Console.WriteLine("Order ID:" + requestData.OrderId);
            System.Console.WriteLine("Redirection Url:" + requestData.ReAuthorizeRedirectionUrl);

            System.Console.WriteLine("<< RESPONSE >>");
            System.Console.WriteLine("MStatus:" + responseData.Mstatus);
            System.Console.WriteLine("Message:" + responseData.MerrMsg);
            System.Console.WriteLine("Result Code:" + responseData.VResultCode);
            System.Console.WriteLine("Application URL:" + responseData.ReAuthAppUrl);
        }
    }
}