﻿using System;
using System.Collections.Generic;
using System.Text;
using jp.veritrans.tercerog.mdk.dto;
using jp.veritrans.tercerog.mdk;
using Microsoft.Extensions.Logging;

namespace ConsoleApplication.masterpass
{
    public class CLI_MasterpassAuthorize
    {
        public virtual void Exec(ILogger logger, MerchantConfig merchantConfig)
        {
            // 取引ID(Login時に利用したものを設定してください)
            String orderId = "1234567890";

            // 与信方法(同時売上実施の有無)
            String isWithCapture = "false";

            // 支払金額(自動取得)
            String amount = "100";

            /**
             * 要求電文パラメータ値の指定
             */
            var requestData = new MasterpassAuthorizeRequestDto();
            requestData.OrderId = orderId;
            requestData.WithCapture = isWithCapture;
            requestData.Amount = amount;

            /**
             * 実行と結果表示  
            */
            var tran = new Transaction(logger, merchantConfig);
            var responseData = (MasterpassAuthorizeResponseDto)tran.Execute(requestData);

            System.Console.WriteLine("<< REQUEST >>");
            System.Console.WriteLine("Order ID:" + requestData.OrderId);
            System.Console.WriteLine("WithCapture:" + requestData.WithCapture);
            System.Console.WriteLine("Amount:" + requestData.Amount);

            System.Console.WriteLine("<< RESPONSE >>");
            System.Console.WriteLine("MStatus:" + responseData.Mstatus);
            System.Console.WriteLine("Message:" + responseData.MerrMsg);
            System.Console.WriteLine("Result Code:" + responseData.VResultCode);
            System.Console.WriteLine("Auth Code:" + responseData.AuthCode);
        }
    }
}
