﻿using System;
using jp.veritrans.tercerog.mdk;
using jp.veritrans.tercerog.mdk.dto;
using Microsoft.Extensions.Logging;

namespace ConsoleApplication.mpi
{
    /// <summary>
    /// クレジットカード決済(本人認証) 本人認証結果取得要求サンプル
    /// </summary>
    public partial class CLI_MpiGetResult
    {
        public virtual void Exec(ILogger logger, MerchantConfig merchantConfig)
        {
            /**
             * 取引ID(対象取引IDを設定してください)
             */
            String orderId = "";

            /**
             * 要求電文パラメータ値の指定
             */
            MpiGetResultRequestDto requestData = new MpiGetResultRequestDto();
            requestData.OrderId = orderId;

            /**
             * 実行と結果表示
             */
            Transaction tran = new Transaction(logger, merchantConfig);
            MpiGetResultResponseDto responseData = (MpiGetResultResponseDto)tran.Execute(requestData);

            System.Console.WriteLine("<< REQUEST >>");
            System.Console.WriteLine("Order ID:" + requestData.OrderId);

            System.Console.WriteLine("<< RESPONSE >>");
            System.Console.WriteLine("MStatus:" + responseData.Mstatus);
            System.Console.WriteLine("Message:" + responseData.MerrMsg);
            System.Console.WriteLine("Result Code:" + responseData.VResultCode);
            System.Console.WriteLine("Request Id:" + responseData.RequestId);
            System.Console.WriteLine("Req Amount:" + responseData.ReqAmount);
            System.Console.WriteLine("Req Card Number:" + responseData.ReqCardNumber);
            System.Console.WriteLine("Mpi Mstatus:" + responseData.MpiMstatus);
            System.Console.WriteLine("Mpi Vresult Code:" + responseData.MpiVresultCode);
            System.Console.WriteLine("Card Mstatus:" + responseData.CardMstatus);
            System.Console.WriteLine("Auth Code:" + responseData.AuthCode);
            System.Console.WriteLine("Ddd Message Version:" + responseData.DddMessageVersion);
            System.Console.WriteLine("Ddd Transaction Id:" + responseData.DddTransactionId);
            System.Console.WriteLine("Ddd Ds Transaction Id:" + responseData.DddDsTransactionId);
            System.Console.WriteLine("Ddd Server Transaction Id:" + responseData.DddServerTransactionId);
            System.Console.WriteLine("Ddd Transaction Status:" + responseData.DddTransactionStatus);
            System.Console.WriteLine("Ddd Cavv Algorithm:" + responseData.DddCavvAlgorithm);
            System.Console.WriteLine("Ddd Cavv:" + responseData.DddCavv);
            System.Console.WriteLine("Ddd Eci:" + responseData.DddEci);
        }
    }
}