﻿using System;
using jp.veritrans.tercerog.mdk.dto;
using jp.veritrans.tercerog.mdk;
using Microsoft.Extensions.Logging;

namespace ConsoleApplication.paypay
{
    public class CLI_PaypayOnlineAuthorize
    {
        public virtual void Exec(ILogger logger, MerchantConfig merchantConfig)
        {
            // 取引ID
            String orderId = "dummy" + System.DateTime.Now.ToString("HHmmssfff");

            // サービスオプションタイプ：オンライン
            String serviceOptionType = MdkServiceConstants.PAYPAY_ONLINE;

            // 支払金額
            String amount = "10";

            // 商品ID
            String itemId = "12345";

            // 決済完了時UR
            String successUrl = "http://localhost/web/paypay/Result?result=SUCCESS";

            // 決済キャンセル時UR
            String cancelUrl = "http://localhost/web/paypay/Result?result=CANCEL";

            // 決済エラー時UR
            String errorUrl = "http://localhost/web/paypay/Result?result=ERROR";

            /**
             * 要求電文パラメータ値の指定
             */
            var requestData = new PaypayAuthorizeRequestDto();
            requestData.OrderId = orderId;
            requestData.ServiceOptionType = serviceOptionType;
            requestData.Amount = amount;
            requestData.ItemId = itemId;
            requestData.SuccessUrl = successUrl;
            requestData.CancelUrl = cancelUrl;
            requestData.ErrorUrl = errorUrl;

            /**
             * 実行と結果表示  
            */
            var tran = new Transaction(logger, merchantConfig);
            var responseData = (PaypayAuthorizeResponseDto)tran.Execute(requestData);

            System.Console.WriteLine("<< REQUEST >>");
            System.Console.WriteLine("Order ID:" + requestData.OrderId);
            System.Console.WriteLine("WithCapture:" + requestData.WithCapture);
            System.Console.WriteLine("Amount:" + requestData.Amount);
            System.Console.WriteLine("ItemId:" + requestData.ItemId);

            System.Console.WriteLine("<< RESPONSE >>");
            System.Console.WriteLine("MStatus:" + responseData.Mstatus);
            System.Console.WriteLine("Message:" + responseData.MerrMsg);
            System.Console.WriteLine("Result Code:" + responseData.VResultCode);
            System.Console.WriteLine("Response Contents:" + responseData.ResponseContents);
        }
    }
}
