﻿using System;
using jp.veritrans.tercerog.mdk.dto;
using jp.veritrans.tercerog.mdk;
using Microsoft.Extensions.Logging;

namespace ConsoleApplication.paypay
{
    public class CLI_PaypayOnlineCancel
    {
        public virtual void Exec(ILogger logger, MerchantConfig merchantConfig)
        {
            // 取引ID(与信時に利用したものを設定してください)
            String orderId = "dummy1234567890";

            // サービスオプションタイプ：オンライン
            String serviceOptionType = MdkServiceConstants.PAYPAY_ONLINE;

            /**
             * 要求電文パラメータ値の指定
             */
            var requestData = new PaypayCancelRequestDto();
            requestData.OrderId = orderId;
            requestData.ServiceOptionType = serviceOptionType;

            /**
             * 実行と結果表示  
            */
            var tran = new Transaction(logger, merchantConfig);
            var responseData = (PaypayCancelResponseDto)tran.Execute(requestData);

            System.Console.WriteLine("<< REQUEST >>");
            System.Console.WriteLine("Order ID:" + requestData.OrderId);
            System.Console.WriteLine("Service Option Type:" + requestData.ServiceOptionType);
            System.Console.WriteLine("<< RESPONSE >>");
            System.Console.WriteLine("MStatus:" + responseData.Mstatus);
            System.Console.WriteLine("Message:" + responseData.MerrMsg);
            System.Console.WriteLine("Result Code:" + responseData.VResultCode);
        }
    }
}
