﻿using System;
using System.Collections.Generic;
using System.Text;
using jp.veritrans.tercerog.mdk.dto;
using jp.veritrans.tercerog.mdk;
using Microsoft.Extensions.Logging;

namespace ConsoleApplication.rakuten
{
    /// <summary>
    /// rakutenID決済(与信)サンプル
    /// </summary>
    class CLI_RakutenAuthorize
    {
        public virtual void Exec(ILogger logger, MerchantConfig merchantConfig)
        {
            /**
             * 取引ID
             */
            String orderId = "dummy" + System.DateTime.Now.ToString("HHmmssfff");
            /**
             * 決済種別
             */
            String payType = "0";
            /**
             * 与信方法
             */
            String withCapture = "false";
            /**
             * 支払金額
             */
            String amount = "100";
            /**
             * 商品番号
             */
            String itemId = "12345";
            /**
             * 商品名
             */
            String itemName = "テスト商品";

            RakutenAuthorizeRequestDto requestData = new RakutenAuthorizeRequestDto();
            requestData.OrderId = orderId;
            requestData.PayType = payType;
            requestData.WithCapture = withCapture;
            requestData.Amount = amount;
            requestData.ItemId = itemId;
            requestData.ItemName = itemName;

            /**
             * 実行と結果表示  
            */
            Transaction tran = new Transaction(logger, merchantConfig);
            RakutenAuthorizeResponseDto responseData = (RakutenAuthorizeResponseDto)tran.Execute(requestData);

            System.Console.WriteLine("<< REQUEST >>");
            System.Console.WriteLine("Order ID:" + requestData.OrderId);
            System.Console.WriteLine("Order Name:" + requestData.ItemName);
            System.Console.WriteLine("Amount:" + requestData.Amount);
            System.Console.WriteLine("Pay Type:" + requestData.PayType);
            System.Console.WriteLine("WithCapture:" + requestData.WithCapture);

            System.Console.WriteLine("<< RESPONSE >>");
            System.Console.WriteLine("MStatus:" + responseData.Mstatus);
            System.Console.WriteLine("Message:" + responseData.MerrMsg);
            System.Console.WriteLine("Result Code:" + responseData.VResultCode);
            System.Console.WriteLine("Response Contents:" + responseData.ResponseContents);
        }
    }
}
