﻿using System;
using System.Collections.Generic;
using System.Text;
using jp.veritrans.tercerog.mdk.dto;
using jp.veritrans.tercerog.mdk;
using Microsoft.Extensions.Logging;

namespace ConsoleApplication.rakuten
{
    /// <summary>
    /// rakutenID決済(キャンセル)サンプル
    /// </summary>
    class CLI_RakutenCancel
    {
        public virtual void Exec(ILogger logger, MerchantConfig merchantConfig)
        {
            /**
             * 取引ID
             * 与信完了取引のIDを指定
             */
            String orderId = "dummy1411378035507";

            /**
             * 取消金額
             */
            String amount = "100";

            RakutenCancelRequestDto requestData = new RakutenCancelRequestDto();
            requestData.OrderId = orderId;
            requestData.Amount = amount;

            /**
             * 実行と結果表示
             */
            Transaction tran = new Transaction(logger, merchantConfig);
            RakutenCancelResponseDto responseData = (RakutenCancelResponseDto)tran.Execute(requestData);

            System.Console.WriteLine("<< REQUEST >>");
            System.Console.WriteLine("Order ID:" + requestData.OrderId);
            System.Console.WriteLine("Amount:" + requestData.Amount);

            System.Console.WriteLine("<< RESPONSE >>");
            System.Console.WriteLine("MStatus:" + responseData.Mstatus);
            System.Console.WriteLine("Message:" + responseData.MerrMsg);
            System.Console.WriteLine("Result Code:" + responseData.VResultCode);
            System.Console.WriteLine("Cancel Req Datetime:" + responseData.CancelReqDatetime);
            System.Console.WriteLine("Balance:" + responseData.Balance);
            System.Console.WriteLine("Transaction Datetime:" + responseData.TransactionDatetime);
            System.Console.WriteLine("Rakuten Order Id:" + responseData.RakutenOrderId);
            System.Console.WriteLine("Gateway Order Id:" + responseData.GatewayOrderId);
            System.Console.WriteLine("Used Point:" + responseData.UsedPoint);
        }
    }
}
