﻿using System;
using System.Collections.Generic;
using System.Text;
using jp.veritrans.tercerog.mdk.dto;
using jp.veritrans.tercerog.mdk;
using Microsoft.Extensions.Logging;

namespace ConsoleApplication.rakuten
{
    /// <summary>
    /// rakutenID決済(売上)サンプル
    /// </summary>
    class CLI_RakutenCapture
    {
        public virtual void Exec(ILogger logger, MerchantConfig merchantConfig)
        {
            /**
             * 取引ID
             * 与信完了取引のIDを指定
             */
            String orderId = "dummy1413454085213";

            /**
             * 売上金額
             */
            String amount = "100";

            RakutenCaptureRequestDto requestData = new RakutenCaptureRequestDto();
            requestData.OrderId = orderId;
            requestData.Amount = amount;

            /**
             * 実行と結果の表示
             */
            Transaction tran = new Transaction(logger, merchantConfig);
            RakutenCaptureResponseDto responseData = (RakutenCaptureResponseDto)tran.Execute(requestData);

            System.Console.WriteLine("<< REQUEST >>");
            System.Console.WriteLine("Order ID:" + requestData.OrderId);
            System.Console.WriteLine("Amount:" + requestData.Amount);

            System.Console.WriteLine("<< RESPONSE >>");
            System.Console.WriteLine("MStatus:" + responseData.Mstatus);
            System.Console.WriteLine("Message:" + responseData.MerrMsg);
            System.Console.WriteLine("Result Code:" + responseData.VResultCode);
            System.Console.WriteLine("Capture Req Datetime:" + responseData.CaptureReqDatetime);
            System.Console.WriteLine("Transaction Datetime:" + responseData.TransactionDatetime);
            System.Console.WriteLine("Rakuten Order Id:" + responseData.RakutenOrderId);
            System.Console.WriteLine("Gateway Order Id:" + responseData.GatewayOrderId);
            System.Console.WriteLine("Used Point:" + responseData.UsedPoint);


        }
    }
}
