using System;
using System.Collections.Generic;
using System.Text;
using jp.veritrans.tercerog.mdk.dto;
using jp.veritrans.tercerog.mdk;
using Microsoft.Extensions.Logging;

namespace ConsoleApplication.rakuten
{
    /// <summary>
    /// rakutenID決済(再与信)サンプル
    /// </summary>
    class CLI_RakutenReAuthorize
    {
        public virtual void Exec(ILogger logger, MerchantConfig merchantConfig)
        {
            /**
             * 取引ID
             */
            String orderId = "dummy" + System.DateTime.Now.ToString("HHmmssfff");
            /**
             * 元取引ID
             */
            String originalOrderId = "";
            /**
             * 金額
             */
            String amount = "100";
            /**
             * 与信方法
             */
            String withCapture = "false";
            /**
             * 商品ID
             */
            String itemId = "12345";
            /**
             * 商品名
             */
            String itemName = "テスト商品";

            RakutenReAuthorizeRequestDto requestData = new RakutenReAuthorizeRequestDto();
            requestData.OrderId = orderId;
            requestData.OriginalOrderId = originalOrderId;
            requestData.Amount = amount;
            requestData.WithCapture = withCapture;
            requestData.ItemId = itemId;
            requestData.ItemName = itemName;

            /**
             * 実行と結果表示  
             */
            Transaction tran = new Transaction(logger, merchantConfig);
            RakutenReAuthorizeResponseDto responseData = (RakutenReAuthorizeResponseDto)tran.Execute(requestData);

            System.Console.WriteLine("<< REQUEST >>");
            System.Console.WriteLine("Order ID:" + requestData.OrderId);
            System.Console.WriteLine("Original Order ID:" + requestData.OriginalOrderId);
            System.Console.WriteLine("Amount:" + requestData.Amount);
            System.Console.WriteLine("With Capture:" + requestData.WithCapture);
            System.Console.WriteLine("Item Id:" + requestData.ItemId);
            System.Console.WriteLine("Item Name:" + requestData.ItemName);

            System.Console.WriteLine("<< RESPONSE >>");
            System.Console.WriteLine("MStatus:" + responseData.Mstatus);
            System.Console.WriteLine("Message:" + responseData.MerrMsg);
            System.Console.WriteLine("Result Code:" + responseData.VResultCode);
            System.Console.WriteLine("Original Order ID:" + responseData.OriginalOrderId);
            System.Console.WriteLine("Rakuten Order Id:" + responseData.RakutenOrderId);
            System.Console.WriteLine("Gateway Order Id:" + responseData.GatewayOrderId);
            System.Console.WriteLine("Rakuten Consent Order Id:" + responseData.RakutenConsentOrderId);
            System.Console.WriteLine("Customer Id:" + responseData.CustomerId);
            System.Console.WriteLine("Used Point:" + responseData.UsedPoint);
            System.Console.WriteLine("Card Brand:" + responseData.CardBrand);
            System.Console.WriteLine("Card Last4:" + responseData.CardLast4);
            System.Console.WriteLine("Card Installments:" + responseData.CardInstallments);
            System.Console.WriteLine("Card Cvc:" + responseData.CardCvc);
            System.Console.WriteLine("Card 3ds:" + responseData.Card3ds);
            System.Console.WriteLine("Transaction Datetime:" + responseData.TransactionDatetime);
            System.Console.WriteLine("Cancel Expiration Time:" + responseData.CancelExpirationTime);
            System.Console.WriteLine("Capture Expiration Time:" + responseData.CaptureExpirationTime);
            System.Console.WriteLine("Update Expiration Time:" + responseData.UpdateExpirationTime);
            System.Console.WriteLine("Extend Auth Expiration Time:" + responseData.ExtendAuthExpirationTime);
        }
    }
}
