﻿using System;
using System.Collections.Generic;
using System.Text;
using jp.veritrans.tercerog.mdk.dto;
using jp.veritrans.tercerog.mdk;
using Microsoft.Extensions.Logging;

namespace ConsoleApplication.rakuten
{
    /// <summary>
    /// rakutenID決済(与信変更)サンプル
    /// </summary>
    class CLI_RakutenUpdateAuthorize
    {
        public virtual void Exec(ILogger logger, MerchantConfig merchantConfig)
        {
            /**
             * 取引ID
             * 与信完了取引のIDを指定
             */
            String orderId = "dummy1413454085213";

            /**
             * 金額
             */
            String amount = "100";

            /**
             * 与信延長フラグ
             */
            String authExtensionFlag = "true";

            RakutenUpdateAuthorizeRequestDto requestData = new RakutenUpdateAuthorizeRequestDto();
            requestData.OrderId = orderId;
            requestData.Amount = amount;
            requestData.AuthExtensionFlag = authExtensionFlag;

            /**
             * 実行と結果の表示
             */
            Transaction tran = new Transaction(logger, merchantConfig);
            RakutenUpdateAuthorizeResponseDto responseData = (RakutenUpdateAuthorizeResponseDto)tran.Execute(requestData);

            System.Console.WriteLine("<< REQUEST >>");
            System.Console.WriteLine("Order ID:" + requestData.OrderId);
            System.Console.WriteLine("Amount:" + requestData.Amount);
            System.Console.WriteLine("Auth Extension Flag:" + requestData.AuthExtensionFlag);

            System.Console.WriteLine("<< RESPONSE >>");
            System.Console.WriteLine("MStatus:" + responseData.Mstatus);
            System.Console.WriteLine("Message:" + responseData.MerrMsg);
            System.Console.WriteLine("Result Code:" + responseData.VResultCode);
            System.Console.WriteLine("Transaction Datetime:" + responseData.TransactionDatetime);
            System.Console.WriteLine("Rakuten Order Id:" + responseData.RakutenOrderId);
            System.Console.WriteLine("Gateway Order Id:" + responseData.GatewayOrderId);
            System.Console.WriteLine("Used Point:" + responseData.UsedPoint);
            System.Console.WriteLine("Cancel Expiration Time:" + responseData.CancelExpirationTime);
            System.Console.WriteLine("Capture Expiration Time:" + responseData.CaptureExpirationTime);
            System.Console.WriteLine("Update Expiration Time:" + responseData.UpdateExpirationTime);
            System.Console.WriteLine("Extend Auth Expiration Time:" + responseData.ExtendAuthExpirationTime);


        }
    }
}
