﻿using System;
using System.Collections.Generic;
using System.Text;
using jp.veritrans.tercerog.mdk.dto;
using jp.veritrans.tercerog.mdk;
using Microsoft.Extensions.Logging;

namespace ConsoleApplication.recruit
{
    public class CLI_RecruitAuthorize
    {
        public virtual void Exec(ILogger logger, MerchantConfig merchantConfig)
        {
            // 取引ID
            String orderId = "dummy" + System.DateTime.Now.ToString("HHmmssfff");

            // 同時売上実施有無
            String isWithCapture = "false";

            // 支払金額
            String amount = "10";

            // 商品番号
            String itemId = "12345";

            // 商品名
            String itemName = "sample商品";

            /**
             * 要求電文パラメータ値の指定
             */
            var requestData = new RecruitAuthorizeRequestDto();
            requestData.OrderId = orderId;
            requestData.Amount = amount;
            requestData.WithCapture = isWithCapture;
            requestData.ItemId = itemId;
            requestData.ItemName = itemName;

            /**
             * 実行と結果表示  
            */
            var tran = new Transaction(logger, merchantConfig);
            var responseData = (RecruitAuthorizeResponseDto)tran.Execute(requestData);

            System.Console.WriteLine("<< REQUEST >>");
            System.Console.WriteLine("Order ID:" + requestData.OrderId);
            System.Console.WriteLine("WithCapture:" + requestData.WithCapture);
            System.Console.WriteLine("Amount:" + requestData.Amount);

            System.Console.WriteLine("<< RESPONSE >>");
            System.Console.WriteLine("MStatus:" + responseData.Mstatus);
            System.Console.WriteLine("Message:" + responseData.MerrMsg);
            System.Console.WriteLine("Result Code:" + responseData.VResultCode);
            System.Console.WriteLine("Redirect Url:" + responseData.RedirectUrl);
        }
    }
}
