﻿using System;
using jp.veritrans.tercerog.mdk;
using jp.veritrans.tercerog.mdk.dto;
using Microsoft.Extensions.Logging;

namespace ConsoleApplication.search
{
    /// <summary>
    /// 取引検索要求サンプル
    /// </summary>
    public partial class CLI_Search
    {
        public virtual void Exec(ILogger logger, MerchantConfig merchantConfig)
        {
            /* ===================================================
             * 要求電文パラメータ
             * =================================================== */
            /**
             * 1. 対象リクエストID
             */
            String requestId = "";
            /**
             * 2. サービスタイプ
             *     配列にて指定します。
             * 
             * クレジットカード      : card
             * 電子マネー            : em
             * コンビニ              : cvs
             * 銀行                  : bank
             * PayPal                : paypal
             * 銀聯                  : cup
             * ショッピングクレジット: oricosc
             * 楽天                  : rakuten
             * リクルート            : recruit
             * LINE Pay              : linepay
             * MasterPass            : masterpass
             * 銀行振込              : virtualacc
             * Alipay                : alipay
             * 銀聯ネット(UPOP)      : upop
             * PayPay                : paypay
             * Amazon Pay            : amazonpay
             * メルペイ              : merpay
             * MPI                   : mpi
             */
            //String[] serviceCode = new String[18];
            //serviceCode[0] = "card";
            //serviceCode[1] = "em";
            //serviceCode[2] = "cvs";
            //serviceCode[3] = "bank";
            //serviceCode[4] = "paypal";
            //serviceCode[5] = "cup";
            //serviceCode[6] = "saison";
            //serviceCode[7] = "oricosc";
            //serviceCode[8] = "rakuten";
            //serviceCode[9] = "recruit";
            //serviceCode[10] = "linepay";
            //serviceCode[11] = "masterpass";
            //serviceCode[12] = "virtualacc";
            //serviceCode[13] = "alipay";
            //serviceCode[14] = "upop";
            //serviceCode[15] = "paypay";
            //serviceCode[16] = "amazonpay";
            //serviceCode[17] = "merpay";
            //serviceCode[18] = "mpi";

            /**
             * 3. 検索最大件数
             */
            //String maxCount = "10";
            /**
             * 要求電文に条件セット
             */
            SearchRequestDto requestData = new SearchRequestDto();
            requestData.RequestId = requestId;
            //requestData.NewerFlag = "true";
            //requestData.ServiceTypeCd = serviceCode;
            //requestData.MaxCount = maxCount;
            requestData.ContainDummyFlag = "true";//ダミー取引を含む場合

            /* ===================================================
             * サービス間検索条件パラメータ値
             * =================================================== */
            /**
             * 1. 取引ID
             */
            //String orderId = "";
            /**
             * 2. 対象コマンド 
             *       配列にて指定します。
             * 
             * Authorize/ReAuthorize/Capture/Cancel/Refund/Retry/Verify/Remove
             */
            //var targetCommand = new[] { "Authorize", "Capture", "Cancel", "Refund", "Remove", "ReAuthorize" };
            /**
             * 3. 対象取引ステータス
             *      配列にて指定します。
             * 
             * success/failure/pending
             */
            //String[] transactionStatus = new String[3];
            //transactionStatus[0] = "success";
            //transactionStatus[1] = "pending";
            //transactionStatus[2] = "failure";
            /**
             * 4-a. 取引日時 yyyyMMDDhhmm
             */
            //String txnFromDatetime = "201001010000";
            //String txnToDatetime = "202012312359";
            /**
             * 4-b. 検索範囲設定：取引期間
             */
            //SearchRange txnTimeRange = new SearchRange();
            //txnTimeRange.From = txnFromDatetime;
            //txnTimeRange.To = txnToDatetime;
            /**
             * 5-a. 取引金額
             */
            //String amountLowerLimit = "1";
            //String amountUpperLimit = "999999";
            /**
             * 5-b. 検索範囲設定：取引金額
             */
            //SearchRange amountRange = new SearchRange();
            //amountRange.From = amountLowerLimit;
            //amountRange.To = amountUpperLimit;
            /**
             * サービス間共通検索パラメータ設定(1-5)
             */
            CommonSearchParameter commonParameters = new CommonSearchParameter();
            //commonParameters.OrderId = orderId;
            //commonParameters.Command = targetCommand;
            //commonParameters.Mstatus = transactionStatus;
            //commonParameters.TxnDatetime = txnTimeRange;
            //commonParameters.Amount = amountRange;
            /* ===================================================
             * 以下、サービス別指定
             * =================================================== */
            /* ---------------------------------------------------
             * 電子マネー決済固有検索パラメータ
             * EmSearchParameter
             * ---------------------------------------------------*/
            /**
             * 電子マネー種別
             * 配列指定
             * 
             * edy/suica/waon/tcc
             */
            //var emType = new[] { "edy", "suica", "waon", "tcc" };

            /**
             * 検索範囲設定：決済期限日時
             */
            //検索始点 YYYYMMDDhhmm
            //String settlementFromDatetime = "201005010000";
            //検索終点 YYYYMMDDhhmm
            //String settlementToDatetime = "201005312359";

            //SearchRange settlementLimitRange = new SearchRange();
            //settlementLimitRange.From = settlementFromDatetime;
            //settlementLimitRange.To = settlementToDatetime;
            /**
             * 検索範囲設定：決済完了日時
             */
            //検索始点 YYYYMMDDhhmm
            //String completeFromDatetime = "201005010000";
            //検索終点 YYYYMMDDhhmm
            //String completeToDatetime = "201005312359";

            //SearchRange completeDatetimeRange = new SearchRange();
            //completeDatetimeRange.From = completeFromDatetime;
            //completeDatetimeRange.To = completeToDatetime;

            /**
             * 電子マネー決済固有検索パラメータ設定
             */
            //EmSearchParameter emParameters = new EmSearchParameter();
            //emParameters.EmType = emType;
            //emParameters.SettlementLimit = settlementLimitRange;
            //emParameters.CompleteDatetime = completeDatetimeRange;

            /* ---------------------------------------------------
            * コンビニ決済固有検索パラメータ
            * CvsSearchParameter
            * ---------------------------------------------------*/
            /**
             * コンビニ種別
             * セブンイレブン                    ：  "sej"
             * ファミリーマート、ローソンその他  ：  "econ"
             * その他                            ：  "other"  （サークルKサンクス、デイリーヤマザキ、ヤマザキデイリーストアー、タイムリー、ミニストップ）
             */
            //String[] cvsType = new String[3];
            //cvsType[0] = "sej";
            //cvsType[1] = "econ";
            //cvsType[2] = "other";
            /**
             * 検索範囲設定：支払期限日時
             */
            //検索始点 YYYYMMDDhhmm
            //String payFromDatetime = "201005010000";
            //検索終点 YYYYMMDDhhmm
            //String payToDatetime = "201005312359";
            //SearchRange payLimitRange = new SearchRange();
            //payLimitRange.From = payFromDatetime;
            //payLimitRange.To = payToDatetime;
            /**
             * 検索範囲設定：入金受付日
             */
            //検索始点 YYYYMMDDhhmm
            //String paidFromDatetime = "201005010000";
            //検索終点 YYYYMMDDhhmm
            //String paidToDatetime = "201005312359";
            //SearchRange paidDatetimeRange = new SearchRange();
            //paidDatetimeRange.From = paidFromDatetime;
            //paidDatetimeRange.To = paidToDatetime;
            /**
            * コンビニ決済検索パラメータ設定
            */
            //CvsSearchParameter cvsParameters = new CvsSearchParameter();
            //cvsParameters.CvsType = cvsType;
            //cvsParameters.PayLimit = payLimitRange;
            //cvsParameters.PaidDatetime = paidDatetimeRange;
            /* ---------------------------------------------------
             * PayEasy決済固有検索パラメータ
             * BankSearchParameter
             * ---------------------------------------------------*/
            /**
             * 方式種別
             * ATM決済                   ：atm
             * ネットバンク決済PC        : netbank-pc
             * ネットバンク決済DoCoMo    ：netbank-docomo
             * ネットバンク決済SoftBank  ：netbank-sonftbank
             * ネットバンク決済au        ：netbank-au
             */
            //String[] bankOptionType = new String[5];
            //bankOptionType[0] = "atm";
            //bankOptionType[1] = "netbank-pc";
            //bankOptionType[2] = "netbank-docomo";
            //bankOptionType[3] = "netbank-softbank";
            //bankOptionType[4] = "netbank-au";
            /**
             * 検索範囲設定：支払期限日時
             */
            //検索始点 YYYYMMDDhhmm
            //String bkPayFromDatetime = "201005010000";

            //検索終点 YYYYMMDDhhmm
            //String bkPayToDatetime = "201005312359";

            //SearchRange bkPayLimitRange = new SearchRange();
            //bkPayLimitRange.From = bkPayFromDatetime;
            //bkPayLimitRange.To = bkPayToDatetime;

            /**
             * 検索範囲設定：収納日時
             */
            //検索始点 YYYYMMDDhhmm
            //String receivedFromDatetime = "201005010000";

            //検索終点 YYYYMMDDhhmm
            //String receivedToDatetime = "201005312359";

            //SearchRange receivedDatetimeRange = new SearchRange();
            //receivedDatetimeRange.From = receivedFromDatetime;
            //receivedDatetimeRange.To = receivedToDatetime;
            /**
             * Bank決済検索パラメータ設定
             */
            //BankSearchParameter bankParameters = new BankSearchParameter();
            //bankParameters.OptionType = bankOptionType;
            //bankParameters.PayLimit = bkPayLimitRange;
            //bankParameters.ReceivedDatetime = receivedDatetimeRange;

            /* ---------------------------------------------------
             * PayPal決済固有検索パラメータ
             * PaypalSearchParameter
             * ---------------------------------------------------*/
            /**
             * 検索範囲設定：支払日時
             */
            //検索始点 YYYYMMDDhhmm
            //String paymentFromDatetime = "201005010000";

            //検索終点 YYYYMMDDhhmm
            //String paymentToDatetime = "201005312359";

            //SearchRange paymentRange = new SearchRange();
            //paymentRange.From = paymentFromDatetime;
            //paymentRange.To = paymentToDatetime;

            /**
            * 顧客番号
            */
            //String payerId = "dummy";

            //PaypalSearchParameter paypalParameters = new PaypalSearchParameter();
            //paypalParameters.PaymentDatetime = paymentRange;
            //paypalParameters.PayerId = payerId;

            /* ---------------------------------------------------
             * Saison決済固有検索パラメータ
             * SaisonSearchParameter
             * ---------------------------------------------------*/
            /**
             * 検索範囲設定：合計決済金額
             */
            //検索始点 YYYYMMDDhhmm
            //String totalAmountFrom = "1";

            //検索終点 YYYYMMDDhhmm
            //String totalAmountTo = "9999";
            /**
             * 検索範囲設定：ウォレット決済金額
             */
            //検索始点 YYYYMMDDhhmm
            //String walletAmountFrom = "1";

            //検索終点 YYYYMMDDhhmm
            //String walletAmountTo = "9999";
            /**
             * 検索範囲設定：カード決済金額
             */
            //検索始点 YYYYMMDDhhmm
            //String cardAmountFrom = "1";

            //検索終点 YYYYMMDDhhmm
            //String cardAmountTo = "9999";

            //SearchRange totalAmountRange = new SearchRange();
            //totalAmountRange.From = totalAmountFrom;
            //totalAmountRange.To = totalAmountTo;

            //SearchRange walletAmountRange = new SearchRange();
            //walletAmountRange.From = walletAmountFrom;
            //walletAmountRange.To = walletAmountTo;

            //SearchRange cardAmountRange = new SearchRange();
            //cardAmountRange.From = cardAmountFrom;
            //cardAmountRange.To = cardAmountTo;

            //SaisonSearchParameter saisonParameters = new SaisonSearchParameter();
            //saisonParameters.TotalAmount = totalAmountRange;
            //saisonParameters.WalletAmount = walletAmountRange;
            //saisonParameters.CardAmount = cardAmountRange;

            /* ---------------------------------------------------
             * ショッピングクレジット決済固有検索パラメータ
             * OricoscSearchParameter
             * ---------------------------------------------------*/
            //String oricoscOricoOrderNo = "";
            // 支払合計金額の範囲指定パラメータを生成
            //SearchRange oricoscAmountRange = new SearchRange();
            //oricoscAmountRange.From = "1";
            //oricoscAmountRange.To = "1000";
            // 商品価格合計(税込)の範囲指定パラメータを生成
            //SearchRange oricoscTotalItemAmountRange = new SearchRange();
            //oricoscTotalItemAmountRange.From = "1";
            //oricoscTotalItemAmountRange.To = "1000";
            //OricoscSearchParameter oricoscParameters = new OricoscSearchParameter();
            //oricoscParameters.OricoOrderNo = oricoscOricoOrderNo;
            //oricoscParameters.Amount = oricoscAmountRange;
            //oricoscParameters.TotalItemAmount = oricoscTotalItemAmountRange;

            /* ---------------------------------------------------
             * 楽天ID決済固有検索パラメータ
             * RakutenSearchParameter
             * ---------------------------------------------------*/
            //String rakutenItemId = "123456";
            //String[] rakutenDetailOrderType = new String[2];
            //rakutenDetailOrderType[0] = "Init";
            //rakutenDetailOrderType[1] = "Auth";
            //String[] rakutenDetailCommandType = new String[2];
            //rakutenDetailCommandType[0] = "Init";
            //rakutenDetailCommandType[1] = "PreAuth";
            //String[] rakutenPayType = new String[3];
            //rakutenPayType[0] = MdkServiceConstants.RAKUTEN_ONLINE;
            //rakutenPayType[1] = MdkServiceConstants.RAKUTEN_BARCODE;
            //rakutenPayType[2] = MdkServiceConstants.RAKUTEN_ONLINE_V2;
            //String rakutenAccountingType = MdkServiceConstants.RAKUTEN_ONETIME;
            //String[] rakutenConsentStatus = new String[2];
            //rakutenConsentStatus[0] = "Init";
            //rakutenConsentStatus[1] = "Consent";
            //String rakutenOriginalOrderId = "12345678";

            //RakutenSearchParameter rakutenParameteres = new RakutenSearchParameter();
            //rakutenParameteres.ItemId = rakutenItemId;
            //rakutenParameteres.DetailOrderType = rakutenDetailOrderType;
            //rakutenParameteres.DetailCommandType = rakutenDetailCommandType;
            //rakutenParameteres.PayType = rakutenPayType;
            //rakutenParameteres.AccountingType = rakutenAccountingType;
            //rakutenParameteres.ConsentStatus = rakutenConsentStatus;
            //rakutenParameteres.OriginalOrderId = rakutenOriginalOrderId;

            /* ---------------------------------------------------
             * リクルートかんたん支払い固有検索パラメータ
             * RecruitSearchParameter
             * ---------------------------------------------------*/
            //String recruitItemId = "12*";
            //String[] recruitDetailOrderType = new String[]{"Init","Auth"}
            //String[] recruitDetailCommandType = new String[]{"Init", "PreAuth"};

            RecruitSearchParameter recruitParameters = new RecruitSearchParameter();
            //recruitParameters.ItemId = recruitItemId;
            //recruitParameteres.DetailOrderType = recruitDetailOrderType;
            //recruitParameteres.DetailCommandType = recruitDetailCommandType;

            /* ---------------------------------------------------
             * LINE Pay固有検索パラメータ
             * LinepaySearchParameter
             * ---------------------------------------------------*/
            //String linepayItemId = "12*";
            //String[] linepayDetailOrderType = new String[] { "Init", "Auth" };
            //String[] linepayDetailCommandType = new String[]{ "Init", "PreAuth"};

            LinepaySearchParameter linepayParameters = new LinepaySearchParameter();
            //linepayParameters.ItemId = linepayItemId;
            //linepayParameters.DetailOrderType = linepayDetailOrderType;
            //linepayParameters.DetailCommandType = linepayDetailCommandType;

            /* ---------------------------------------------------
             * MasterPass決済固有検索パラメータ
             * MasterpassSearchParameter
             * ---------------------------------------------------*/
            //String masterpassItemId = "12*";
            //String[] masterpassDetailOrderType = new String[] { "Init", "Auth" };
            //String[] masterpassDetailCommandType = new String[]{ "Init", "Auth"};

            MasterpassSearchParameter masterpassParameters = new MasterpassSearchParameter();
            //masterpassParameters.ItemId = masterpassItemId;
            //masterpassParameters.DetailOrderType = masterpassDetailOrderType;
            //masterpassParameters.DetailCommandType = masterpassDetailCommandType;

            /* ---------------------------------------------------
             * 銀行振込決済固有検索パラメータ
             * VirtualaccSearchParameter
             * ---------------------------------------------------*/
            //String[] virtualaccDetailOrderType = new String[] { "Init", "Auth" };
            //String[] virtualaccDetailCommandType = new String[]{ "Init", "Auth"};
            //String viralaccEntryTransferName = "";
            //String viralaccEntryTransferNumber = "";
            //String viralaccEntryAccountNumber = "";

            VirtualaccSearchParameter virtualaccParameters = new VirtualaccSearchParameter();
            //virtualaccParameters.DetailOrderType = virtualaccDetailOrderType;
            //virtualaccParameters.DetailCommandType = virtualaccDetailCommandType;
            //virtualaccParameters.EntryTransferName = viralaccEntryTransferName;
            //virtualaccParameters.EntryTransferNumber = viralaccEntryTransferNumber;
            //virtualaccParameters.AccountNumber = viralaccEntryAccountNumber;

            /* ---------------------------------------------------
             * Alipay決済固有検索パラメータ
             * AlipaySearchParameter
             * ---------------------------------------------------*/
            //String[] alipayDetailOrderType = new String[] { "payment", "refund" };
            //String alipayCenterTradeId = "";

            //String paymentTimeFrom = "201001010000";
            //String paymentTimeTo = "202012312359";
            //SearchRange paymentTimeRange = new SearchRange();
            //paymentTimeRange.From = paymentTimeFrom;
            //paymentTimeRange.To = paymentTimeTo;

            //String settlementTimeFrom = "201001010000";
            //String settlementTimeTo = "202012312359";
            //SearchRange settlementTimeRange = new SearchRange();
            //settlementTimeRange.From = settlementTimeFrom;
            //settlementTimeRange.To = settlementTimeTo;

            //String[] alipayPayType = new String[] { "0", "1" };

            AlipaySearchParameter alipayParameters = new AlipaySearchParameter();
            //alipayParameters.DetailOrderType = alipayDetailOrderType;
            //alipayParameters.CenterTradeId = alipayCenterTradeId;
            //alipayParameters.PaymentTime = paymentTimeRange;
            //alipayParameters.SettlementTime = settlementTimeRange;
            //alipayParameters.PayType = alipayPayType;

            /* ---------------------------------------------------
             * Upop決済固有検索パラメータ
             * UpopSearchParameter
             * ---------------------------------------------------*/
            //String settleFromDatetimeJp = "201001010000";
            //String settleToDatetimeJp = "202012312359";
            //SearchRange settleTimeRangeJp = new SearchRange();
            //settleTimeRangeJp.From = settleFromDatetimeJp;
            //settleTimeRangeJp.To = settleToDatetimeJp;

            //String settleFromDatetimeCn = "201001010000";
            //String settleToDatetimeCn = "202012312359";
            //SearchRange settleTimeRangeCn = new SearchRange();
            //settleTimeRangeCn.From = settleFromDatetimeCn;
            //settleTimeRangeCn.To = settleToDatetimeCn;

            //String[] upopDetailOrderType = new String[] { "a", "ac" };

            UpopSearchParameter upopParameters = new UpopSearchParameter();
            //upopParameters.SettleDatetimeJp = settleTimeRangeJp;
            //upopParameters.SettleDatetimeCn = settleTimeRangeCn;
            //upopParameters.DetailOrderType = upopDetailOrderType;

            /* ---------------------------------------------------
             * Paypay決済固有検索パラメータ
             * PaypaySearchParameter
             * ---------------------------------------------------*/
            // String[] paypayDetailOrderType = new String[] { "Init", "Auth" };
            // String[] paypayDetailCommandType = new String[] { "Init", "PreAuth" };
            // String[] paypayServiceType = new String[] { "online" };

            PaypaySearchParameter paypayParameters = new PaypaySearchParameter();
            // paypayParameters.DetailOrderType = paypayDetailOrderType;
            // paypayParameters.DetailCommandType = paypayDetailCommandType;
            // paypayParameters.PaypayServiceType = paypayServiceType;

            /* ---------------------------------------------------
             * Amazon Pay 固有検索パラメータ
             * AmazonpaySearchParameter
             * ---------------------------------------------------*/
            // String[] amazonpayDetailOrderType = new String[] { "Init", "Auth" };
            // String[] amazonpayDetailCommandType = new String[] { "Init", "PreAuth", "AuthCapture", "VoidAuthCapture" };
            // String amazonpayCenterOrderId = "12345678";
            // String amazonpayCenterTransactionId = "12345678";
            // String amazonpayAccountingType = "1";
            // String[] amazonpayConsentStatus = new String[] { "Init", "Consent" };
            // String amazonpayOriginalOrderId = "12345678";

            AmazonpaySearchParameter amazonpayParameters = new AmazonpaySearchParameter();
            // amazonpayParameters.DetailOrderType = amazonpayDetailOrderType;
            // amazonpayParameters.DetailCommandType = amazonpayDetailCommandType;
            // amazonpayParameters.CenterOrderId = amazonpayCenterOrderId;
            // amazonpayParameters.CenterTransactionId = amazonpayCenterTransactionId;
            // amazonpayParameters.AccountingType = amazonpayAccountingType;
            // amazonpayParameters.ConsentStatus = amazonpayConsentStatus;
            // amazonpayParameters.OriginalOrderId = amazonpayOriginalOrderId;
            // amazonpayParameters.PayConfirmScreenType = "1";

            /* ---------------------------------------------------
             * Merpay 固有検索パラメータ
             * MerpaySearchParameter
             * ---------------------------------------------------*/
            // String merpayProcessingId = "12345678";
            // String[] merpayDetailOrderType = new String[] { "Init", "Auth", "VoidAuth" };
            // String[] merpayDetailCommandType = new String[] { "Init", "PreAuth", "Auth", "VoidAuth" };
            // String[] merpayServiceType = new String[] { "online", "barcode" };
            // String[] merpayAccountingType = new String[] { "0", "1" };
            // String merpayInquiryCode = "12345678";

            MerpaySearchParameter merpayParameters = new MerpaySearchParameter();
            // merpayParameters.MerpayProcessingId = merpayProcessingId;
            // merpayParameters.DetailOrderType = merpayDetailOrderType;
            // merpayParameters.DetailCommandType = merpayDetailCommandType;
            // merpayParameters.MerpayServiceType = merpayServiceType;
            // merpayParameters.AccountingType = merpayAccountingType;
            // merpayParameters.InquiryCode = merpayInquiryCode;

            /* ---------------------------------------------------
             * MPI固有検索パラメータ
             * MpiSearchParameter
             * ---------------------------------------------------*/
            // String[] mpiDetailOrderType = new String[] { "auth" };
            // String mpiRes3dTransactionId = "12345678";
            // String mpiRes3dTransactionStatus = "12345678";
            // String mpiRes3dEci = "01";
            // String[] mpiDeviceChannel = new String[] { "02" };
            // String[] mpiAccountType = new String[] { "01" };
            // String[] mpiAuthenticationIndicator = new String[] { "01" };
            // String[] mpiMessageCategory = new String[] { "01" };

            MpiSearchParameter mpiParameters = new MpiSearchParameter();
            // mpiParameters.DetailOrderType = mpiDetailOrderType;
            // mpiParameters.Res3dTransactionId = mpiRes3dTransactionId;
            // mpiParameters.Res3dTransactionStatus = mpiRes3dTransactionStatus;
            // mpiParameters.Res3dEci = mpiRes3dEci;
            // mpiParameters.DeviceChannel = mpiDeviceChannel;
            // mpiParameters.AccountType = mpiAccountType;
            // mpiParameters.AuthenticationIndicator = mpiAuthenticationIndicator;
            // mpiParameters.MessageCategory = mpiMessageCategory;

            /**
             * 取引結果検索条件設定
             * 対象サービスの検索パラメータを必要に応じてセット
             */
            SearchParameters searchTargetCondition = new SearchParameters();
            searchTargetCondition.Common = commonParameters;
            // for 電子マネー決済取引
            // searchTargetCondition.Em = emParameters;
            // for コンビニ決済取引
            // searchTargetCondition.Cvs = cvsParameters;
            // for PayEasy決済取引
            // searchTargetCondition.Bank = bankParameters;
            // for PayPal決済取引
            // searchTargetCondition.Paypal = paypalParameters;
            // for Saison決済取引
            // searchTargetCondition.Saison = saisonParameters;
            // for Oricosc決済取引
            // searchTargetCondition.Oricosc = oricoscParameters;
            // for RakutenID決済取引
            // searchTargetCondition.Rakuten = rakutenParameteres;
            // for リクルートかんたん支払い取引
            // searchTargetCondition.Recruit = recruitParameters;
            // for LINE Pay
            // searchTargetCondition.Linepay = linepayParameters;
            // for MasterPass決済
            // searchTargetCondition.Masterpass = masterpassParameters;
            // for 銀行振込決済
            // searchTargetCondition.Virtualacc = virtualaccParameters;
            // for Alipay決済
            // searchTargetCondition.Alipay = alipayParameters;
            // for 銀聯ネット決済(UPOP)
            // searchTargetCondition.Upop = upopParameters;
            // for PayPay決済
            // searchTargetCondition.Paypay = paypayParameters;
            // for Amazon Pay
            // searchTargetCondition.Amazonpay = amazonpayParameters;
            // for Merpay
            // searchTargetCondition.Merpay = merpayParameters;
            // for MPI
            // searchTargetCondition.Mpi = mpiParameters;

            /** ===========================================================
             * 取引結果検索条件を要求電文パラメータへ設定
             * ===========================================================*/
            requestData.SearchParameters = searchTargetCondition;

            /** ***********************************************************
             * 検索実行 
             ** ***********************************************************/
            Transaction tran = new Transaction(logger, merchantConfig);
            SearchResponseDto responseData = (SearchResponseDto)tran.Execute(requestData);

            System.Console.WriteLine("<< REQUEST >>");
            System.Console.WriteLine("request:" + requestData);

            System.Console.WriteLine("<< RESPONSE >>");
            System.Console.WriteLine("MStatus:" + responseData.Mstatus);
            System.Console.WriteLine("Message:" + responseData.MerrMsg);

            System.Console.WriteLine("response:" + responseData);

            if (responseData.SearchCount.Equals("0"))
            {
                System.Console.WriteLine("検索結果が0件でした。");
            }
            else
            {
                OrderInfo[] orderInfos = responseData.OrderInfos.OrderInfo;
                foreach (OrderInfo order in orderInfos)
                {
                    System.Console.WriteLine("*---------**---------*");
                    System.Console.WriteLine("Index: " + order.Index);
                    System.Console.WriteLine("Service Type: " + order.ServiceTypeCd);
                    System.Console.WriteLine("Order ID: " + order.OrderId);
                    System.Console.WriteLine("Order Status: " + order.OrderStatus);

                    bool isCard = false;
                    bool isEm = false;
                    bool isCvs = false;
                    bool isBank = false;
                    bool isPaypal = false;
                    bool isCup = false;
                    bool isSaison = false;
                    bool isOricosc = false;
                    bool isRakuten = false;
                    bool isRecruit = false;
                    bool isLinepay = false;
                    bool isMasterpass = false;
                    bool isVirtualacc = false;
                    bool isAlipay = false;
                    bool isUpop = false;
                    bool isPaypay = false;
                    bool isAmazonpay = false;
                    bool isMerpay = false;
                    bool isMpi = false;

                    /*
                     * オーダ情報区分チェック
                     */
                    switch (order.ServiceTypeCd)
                    {
                        case "card":
                            isCard = true;
                            break;
                        case "em":
                            isEm = true;
                            break;
                        case "cvs":
                            isCvs = true;
                            break;
                        case "bank":
                            isBank = true;
                            break;
                        case "paypal":
                            isPaypal = true;
                            break;
                        case "cup":
                            isCup = true;
                            break;
                        case "saison":
                            isSaison = true;
                            break;
                        case "oricosc":
                            isOricosc = true;
                            break;
                        case "rakuten":
                            isRakuten = true;
                            break;
                        case "recruit":
                            isRecruit = true;
                            break;
                        case "linepay":
                            isLinepay = true;
                            break;
                        case "masterpass":
                            isMasterpass = true;
                            break;
                        case "virtualacc":
                            isVirtualacc = true;
                            break;
                        case "alipay":
                            isAlipay = true;
                            break;
                        case "upop":
                            isUpop = true;
                            break;
                        case "paypay":
                            isPaypay = true;
                            break;
                        case "amazonpay":
                            isAmazonpay = true;
                            break;
                        case "merpay":
                            isMerpay = true;
                            break;
                        case "mpi":
                            isMpi = true;
                            break;
                        default:
                            break;
                    }

                    /**
                     * 管理情報
                     */
                    ProperOrderInfo properOrderInfo;
                    try
                    {
                        properOrderInfo = order.ProperOrderInfo;

                    }
                    catch
                    {
                        System.Console.WriteLine("[Error] 管理情報がありません。:" + order.OrderId);
                        continue;
                    }

                    if (isRakuten)
                    {
                        System.Console.WriteLine("Rakuten With Capture:" + properOrderInfo.WithCapture);
                        System.Console.WriteLine("Rakuten Item Name:" + properOrderInfo.ItemName);
                        System.Console.WriteLine("Rakuten Item Id:" + properOrderInfo.ItemId);
                        System.Console.WriteLine("Rakuten Authorize Amount:" + properOrderInfo.AuthorizeAmount);
                        System.Console.WriteLine("Rakuten Balance:" + properOrderInfo.Balance);
                        System.Console.WriteLine("Rakuten Authorize Datetime:" + properOrderInfo.AuthorizeDatetime);
                        System.Console.WriteLine("Rakuten Order Id:" + properOrderInfo.RakutenOrderId);
                        System.Console.WriteLine("Rakuten Used Point:" + properOrderInfo.UsedPoint);
                        System.Console.WriteLine("Rakuten Gateway Order Id:" + properOrderInfo.GatewayOrderId);
                        System.Console.WriteLine("Rakuten Card Brand:" + properOrderInfo.CardBrand);
                        System.Console.WriteLine("Rakuten Card Last4:" + properOrderInfo.CardLast4);
                        System.Console.WriteLine("Rakuten Card Installments:" + properOrderInfo.CardInstallments);
                        System.Console.WriteLine("Rakuten Card Cvc:" + properOrderInfo.CardCvc);
                        System.Console.WriteLine("Rakuten Card 3ds:" + properOrderInfo.Card3ds);
                        System.Console.WriteLine("Rakuten Cancel Expiration Time:" + properOrderInfo.CancelExpirationTime);
                        System.Console.WriteLine("Rakuten Capture Expiration Time:" + properOrderInfo.CaptureExpirationTime);
                        System.Console.WriteLine("Rakuten Update Expiration Time:" + properOrderInfo.UpdateExpirationTime);
                        System.Console.WriteLine("Rakuten Extend Auth Expiration Time:" + properOrderInfo.ExtendAuthExpirationTime);
                        System.Console.WriteLine("Rakuten Accounting Type:" + properOrderInfo.AccountingType);
                        System.Console.WriteLine("Rakuten Consent Status:" + properOrderInfo.ConsentStatus);
                        System.Console.WriteLine("Rakuten Original Order Id:" + properOrderInfo.OriginalOrderId);
                        System.Console.WriteLine("Rakuten Consent Order Id:" + properOrderInfo.RakutenConsentOrderId);
                        System.Console.WriteLine("Rakuten Customer Id:" + properOrderInfo.CustomerId);
                    }
                    else if (isPaypay)
                    {
                        System.Console.WriteLine("Paypay Order Id:" + properOrderInfo.PaypayOrderId);
                        System.Console.WriteLine("Paypay Service Type:" + properOrderInfo.PaypayServiceType);
                        System.Console.WriteLine("Paypay Authorize Amount:" + properOrderInfo.AuthorizeAmount);
                        System.Console.WriteLine("Paypay Balance:" + properOrderInfo.Balance);
                        System.Console.WriteLine("Paypay Authorize Datetime:" + properOrderInfo.AuthorizeDatetime);
                        System.Console.WriteLine("Paypay Refund Datetime:" + properOrderInfo.RefundDatetime);
                        System.Console.WriteLine("Paypay Capture Datetime:" + properOrderInfo.CaptureDatetime);
                        System.Console.WriteLine("Paypay Cancel Datetime:" + properOrderInfo.CancelDatetime);
                        System.Console.WriteLine("Paypay With Capture:" + properOrderInfo.WithCapture);
                        System.Console.WriteLine("Paypay Item Id:" + properOrderInfo.ItemId);
                    }
                    else if (isAmazonpay)
                    {
                        System.Console.WriteLine("Amazonpay Authorize Amount:" + properOrderInfo.AuthorizeAmount);
                        System.Console.WriteLine("Amazonpay Capture Amount:" + properOrderInfo.CaptureAmount);
                        System.Console.WriteLine("Amazonpay Refundable Amount:" + properOrderInfo.RefundableAmount);
                        System.Console.WriteLine("Amazonpay Balance:" + properOrderInfo.Balance);
                        System.Console.WriteLine("Amazonpay Authorize Datetime:" + properOrderInfo.AuthorizeDatetime);
                        System.Console.WriteLine("Amazonpay Center Order Id:" + properOrderInfo.CenterOrderId);
                        System.Console.WriteLine("Amazonpay Accounting Type:" + properOrderInfo.AccountingType);
                        System.Console.WriteLine("Amazonpay Consent Status:" + properOrderInfo.ConsentStatus);
                        System.Console.WriteLine("Amazonpay Frequency Unit:" + properOrderInfo.FrequencyUnit);
                        System.Console.WriteLine("Amazonpay Frequency Value:" + properOrderInfo.FrequencyValue);
                        System.Console.WriteLine("Amazonpay Original Order Id:" + properOrderInfo.OriginalOrderId);
                        System.Console.WriteLine("Amazonpay Ondemand Amount:" + properOrderInfo.OdAmount);
                        System.Console.WriteLine("Amazonpay Pay Confirm Screen Type:" + properOrderInfo.PayConfirmScreenType);
                    }
                    else if (isMerpay)
                    {
                        System.Console.WriteLine("Merpay Service Type:" + properOrderInfo.MerpayServiceType);
                        System.Console.WriteLine("Merpay Accounting Type:" + properOrderInfo.AccountingType);
                        System.Console.WriteLine("Merpay With Capture:" + properOrderInfo.WithCapture);
                        System.Console.WriteLine("Merpay Authorize Amount:" + properOrderInfo.AuthorizeAmount);
                        System.Console.WriteLine("Merpay Capture Amount:" + properOrderInfo.CaptureAmount);
                        System.Console.WriteLine("Merpay Balance:" + properOrderInfo.Balance);
                        System.Console.WriteLine("Merpay Authorize Datetime:" + properOrderInfo.AuthorizeDatetime);
                    }
                    else if (isMpi)
                    {
                        System.Console.WriteLine("Mpi Start Txn:" + properOrderInfo.StartTxn);
                        System.Console.WriteLine("Mpi Ddd Message Version:" + properOrderInfo.DddMessageVersion);
                        System.Console.WriteLine("Mpi Request Currency Unit:" + properOrderInfo.RequestCurrencyUnit);
                        System.Console.WriteLine("Mpi Card Expire:" + properOrderInfo.CardExpire);
                        System.Console.WriteLine("Mpi Device Channel:" + properOrderInfo.DeviceChannel);
                        System.Console.WriteLine("Mpi Account Type:" + properOrderInfo.AccountType);
                        System.Console.WriteLine("Mpi Authentication Indicator:" + properOrderInfo.AuthenticationIndicator);
                        System.Console.WriteLine("Mpi Message Category:" + properOrderInfo.MessageCategory);
                    }

                    /**
                     * 取引情報
                     */
                    TransactionInfo[] orderTransactions;
                    try
                    {
                        orderTransactions = order.TransactionInfos.TransactionInfo;

                    }
                    catch
                    {
                        System.Console.WriteLine("[Error] 取引情報がありません。:" + order.OrderId);
                        continue;

                    }

                    if (orderTransactions != null)
                    {
                        foreach (TransactionInfo tranInfo in orderTransactions)
                        {
                            System.Console.WriteLine("----");
                            System.Console.WriteLine("Transaction ID:" + tranInfo.TxnId);
                            System.Console.WriteLine("Executed Command:" + tranInfo.Command);
                            System.Console.WriteLine("Transaction Status:" + tranInfo.Mstatus);
                            System.Console.WriteLine("Transaction Result Code:" + tranInfo.VResultCode);
                            System.Console.WriteLine("Execute Time:" + tranInfo.TxnDatetime);
                            System.Console.WriteLine("Settlement Amount:" + tranInfo.Amount);

                            ProperTransactionInfo properInfo = tranInfo.ProperTransactionInfo;
                            if (properInfo != null)
                            {
                                if (isCard)
                                {
                                    System.Console.WriteLine("Card Transaction Type:" + properInfo.CardTransactionType);
                                    System.Console.WriteLine("Gateway Request Date:" + properInfo.GatewayRequestDate);
                                    System.Console.WriteLine("Gateway Response Date:" + properInfo.GatewayResponseDate);
                                    System.Console.WriteLine("Center Request Date:" + properInfo.CenterRequestDate);
                                    System.Console.WriteLine("Center Response Date:" + properInfo.CenterResponseDate);
                                    System.Console.WriteLine("Center Request Number:" + properInfo.CenterRequestNumber);
                                    System.Console.WriteLine("enter Reference Number:" + properInfo.CenterReferenceNumber);
                                    System.Console.WriteLine("Request Auth Code:" + properInfo.ReqAuthCode);
                                }
                                else if (isRakuten)
                                {
                                    System.Console.WriteLine("Rakuten API Error Code:" + properInfo.RakutenApiErrorCode);
                                    System.Console.WriteLine("Rakuten API Error Type:" + properInfo.RakutenApiErrorType);
                                    System.Console.WriteLine("Rakuten Order Error Code:" + properInfo.RakutenOrderErrorCode);
                                    System.Console.WriteLine("Rakuten Request Datetime:" + properInfo.RakutenRequestDatetime);
                                    System.Console.WriteLine("Rakuten Response Datetime:" + properInfo.RakutenResponseDatetime);
                                }
                                else if (isRecruit)
                                {
                                    System.Console.WriteLine("Recruit Error Code:" + properInfo.RecruitErrorCode);
                                    System.Console.WriteLine("Recruit Request Datetime:" + properInfo.RecruitRequestDatetime);
                                    System.Console.WriteLine("Recruit Response Datetime:" + properInfo.RecruitResponseDatetime);
                                }
                                else if (isLinepay)
                                {
                                    System.Console.WriteLine("Linepay Error Code:" + properInfo.LinepayErrorCode);
                                    System.Console.WriteLine("Linepay Request Datetime:" + properInfo.LinepayRequestDatetime);
                                    System.Console.WriteLine("Linepay Response Datetime:" + properInfo.LinepayResponseDatetime);
                                }
                                else if (isMasterpass)
                                {
                                    System.Console.WriteLine("Masterpass AuthCode:" + properInfo.AuthCode);
                                    System.Console.WriteLine("Masterpass ReferenceNumber:" + properInfo.ReferenceNumber);
                                    System.Console.WriteLine("Masterpass DetailCommandType:" + properInfo.DetailCommandType);
                                    System.Console.WriteLine("Masterpass CardVResultCode:" + properInfo.CardVResultCode);
                                    System.Console.WriteLine("Masterpass Request Datetime:" + properInfo.MasterpassRequestDatetime);
                                    System.Console.WriteLine("Masterpass Response Datetime:" + properInfo.MasterpassResponseDatetime);
                                }
                                else if (isVirtualacc)
                                {
                                    System.Console.WriteLine("Virtualacc With Reconcile:" + properInfo.WithReconcile);
                                    System.Console.WriteLine("Virtualacc Deposit Id:" + properInfo.DepositId);
                                    System.Console.WriteLine("Virtualacc Registration Method:" + properInfo.RegistrationMethod);
                                    System.Console.WriteLine("Virtualacc Deposit Date:" + properInfo.DepositDate);
                                    System.Console.WriteLine("Virtualacc Transfer Name:" + properInfo.TransferName);
                                }
                                else if (isAlipay)
                                {
                                    System.Console.WriteLine("Alipay Center Trade Id:" + properInfo.CenterTradeId);
                                    System.Console.WriteLine("Alipay Txn Type:" + properInfo.AlipayTxnType);
                                    System.Console.WriteLine("Alipay Settle Amount:" + properInfo.SettleAmount);
                                    System.Console.WriteLine("Alipay Settle Currency:" + properInfo.SettleCurrency);
                                    System.Console.WriteLine("Alipay Payment Time:" + properInfo.PaymentTime);
                                    System.Console.WriteLine("Alipay Settlement Time:" + properInfo.SettlementTime);
                                    System.Console.WriteLine("Alipay Pay Type:" + properInfo.PayType);
                                }
                                else if (isUpop)
                                {
                                    System.Console.WriteLine("UPOP Settle Amount:" + properInfo.ResUpopSettleAmount);
                                    System.Console.WriteLine("UPOP Settle Date:" + properInfo.ResUpopSettleDate);
                                    System.Console.WriteLine("UPOP Settle Currency:" + properInfo.ResUpopSettleCurrency);
                                    System.Console.WriteLine("UPOP Exchange Date:" + properInfo.ResUpopExchangeDate);
                                    System.Console.WriteLine("UPOP Exchange Rate:" + properInfo.ResUpopExchangeRate);
                                    System.Console.WriteLine("UPOP Order Id:" + properInfo.ResUpopOrderId);
                                }
                                else if (isPaypay)
                                {
                                    System.Console.WriteLine("Paypay Result Code:" + properInfo.PaypayResultCode);
                                    System.Console.WriteLine("Paypay Detail Command Type:" + properInfo.DetailCommandType);
                                    System.Console.WriteLine("Paypay Item Name:" + properInfo.ItemName);
                                    System.Console.WriteLine("Paypay Request Datetime:" + properInfo.PaypayRequestDatetime);
                                    System.Console.WriteLine("Paypay Response Datetime:" + properInfo.PaypayResponseDatetime);
                                    System.Console.WriteLine("Paypay Online Txn Id:" + properInfo.PaypayOnlineTxnId);
                                    System.Console.WriteLine("Paypay Error Code:" + properInfo.PaypayErrorCode);
                                }
                                else if (isAmazonpay)
                                {
                                    System.Console.WriteLine("Amazonpay Center Transaction Id:" + properInfo.CenterTransactionId);
                                    System.Console.WriteLine("Amazonpay Center Result Code:" + properInfo.CenterResultCode);
                                    System.Console.WriteLine("Amazonpay Center State Code:" + properInfo.CenterStateCode);
                                    System.Console.WriteLine("Amazonpay Center Reason Code:" + properInfo.CenterReasonCode);
                                    System.Console.WriteLine("Amazonpay Detail Command Type:" + properInfo.DetailCommandType);
                                    System.Console.WriteLine("Amazonpay Center Request Datetime:" + properInfo.CenterRequestDatetime);
                                    System.Console.WriteLine("Amazonpay Center Response Datetime:" + properInfo.CenterResponseDatetime);
                                    System.Console.WriteLine("Amazonpay Frequency Unit:" + properInfo.FrequencyUnit);
                                    System.Console.WriteLine("Amazonpay Frequency Value:" + properInfo.FrequencyValue);
                                }
                                else if (isMerpay)
                                {
                                    System.Console.WriteLine("Merpay Error Code:" + properInfo.MerpayErrorCode);
                                    System.Console.WriteLine("Merpay Detail Command Type:" + properInfo.DetailCommandType);
                                    System.Console.WriteLine("Merpay Store Id:" + properInfo.StoreId);
                                    System.Console.WriteLine("Merpay Terminal Id:" + properInfo.TerminalId);
                                    System.Console.WriteLine("Merpay Operator Id:" + properInfo.OperatorId);
                                    System.Console.WriteLine("Merpay Slip Code:" + properInfo.SlipCode);
                                    System.Console.WriteLine("Merpay Resource Id:" + properInfo.MerpayResourceId);
                                    System.Console.WriteLine("Merpay Processing Id:" + properInfo.MerpayProcessingId);
                                    System.Console.WriteLine("Merpay Request Datetime:" + properInfo.MerpayRequestDatetime);
                                    System.Console.WriteLine("Merpay Response Datetime:" + properInfo.MerpayResponseDatetime);
                                    System.Console.WriteLine("Merpay Inquiry Code:" + properInfo.InquiryCode);
                                }
                                else if (isMpi)
                                {
                                    // MPI固有
                                    System.Console.WriteLine("Mpi Txn Kind:" + properInfo.TxnKind);
                                    System.Console.WriteLine("Mpi Mpi Transaction Type:" +  properInfo.MpiTransactionType);
                                    System.Console.WriteLine("Mpi Req Card Number:" +  properInfo.ReqCardNumber);
                                    System.Console.WriteLine("Mpi Req Card Expire:" +  properInfo.ReqCardExpire);
                                    System.Console.WriteLine("Mpi Req Amount:" +  properInfo.ReqAmount);
                                    System.Console.WriteLine("Mpi Req Redirection Uri:" +  properInfo.ReqRedirectionUri);
                                    System.Console.WriteLine("Mpi Corporation Id:" + properInfo.CorporationId);
                                    System.Console.WriteLine("Mpi Brand Id:" + properInfo.BrandId);
                                    System.Console.WriteLine("Mpi Acquirer Binary:" + properInfo.AcquirerBinary);
                                    System.Console.WriteLine("Mpi Ds Login Id:" + properInfo.DsLoginId);
                                    System.Console.WriteLine("Mpi Crres Status:" + properInfo.CrresStatus);
                                    System.Console.WriteLine("Mpi Veres Status:" + properInfo.VeresStatus);
                                    System.Console.WriteLine("Mpi Pares Sign:" + properInfo.ParesSign);
                                    System.Console.WriteLine("Mpi Pares Status:" + properInfo.ParesStatus);
                                    System.Console.WriteLine("Mpi Pares Eci:" + properInfo.ParesEci);
                                    System.Console.WriteLine("Mpi Auth Response Code:" + properInfo.AuthResponseCode);
                                    System.Console.WriteLine("Mpi Verify Response Code:" + properInfo.VerifyResponseCode);
                                    System.Console.WriteLine("Mpi Res3d Message Version:" + properInfo.Res3dMessageVersion);
                                    System.Console.WriteLine("Mpi Res3d Transaction Id:" + properInfo.Res3dTransactionId);
                                    System.Console.WriteLine("Mpi Res3d Ds Transaction Id:" + properInfo.Res3dDsTransactionId);
                                    System.Console.WriteLine("Mpi Res3d Server Transaction Id:" + properInfo.Res3dServerTransactionId);
                                    System.Console.WriteLine("Mpi Res3d Transaction Status:" + properInfo.Res3dTransactionStatus);
                                    System.Console.WriteLine("Mpi Res3d Cavv Algorithm:" + properInfo.Res3dCavvAlgorithm);
                                    System.Console.WriteLine("Mpi Res3d Cavv:" + properInfo.Res3dCavv);
                                    System.Console.WriteLine("Mpi Res3d Eci:" + properInfo.Res3dEci);
                                    System.Console.WriteLine("Mpi Auth Request Datetime:" + properInfo.AuthRequestDatetime);
                                    System.Console.WriteLine("Mpi Auth Response Datetime:" + properInfo.AuthResponseDatetime);
                                    System.Console.WriteLine("Mpi Verify Request Datetime:" + properInfo.VerifyRequestDatetime);
                                    System.Console.WriteLine("Mpi Verify Response Datetime:" + properInfo.VerifyResponseDatetime);
                                    System.Console.WriteLine("Mpi Req Currency Unit:" + properInfo.ReqCurrencyUnit);
                                    System.Console.WriteLine("Mpi Req Acquirer Code:" + properInfo.ReqAcquirerCode);
                                    System.Console.WriteLine("Mpi Req Item Code:" + properInfo.ReqItemCode);
                                    System.Console.WriteLine("Mpi Req Card Center:" + properInfo.ReqCardCenter);
                                    System.Console.WriteLine("Mpi Req Jpo Information:" + properInfo.ReqJpoInformation);
                                    System.Console.WriteLine("Mpi Req Sales Day:" + properInfo.ReqSalesDay);
                                    System.Console.WriteLine("Mpi Req With Capture:" + properInfo.ReqWithCapture);
                                    System.Console.WriteLine("Mpi Req Security Code:" + properInfo.ReqSecurityCode);
                                    System.Console.WriteLine("Mpi Req Birthday:" + properInfo.ReqBirthday);
                                    System.Console.WriteLine("Mpi Req Tel:" + properInfo.ReqTel);
                                    System.Console.WriteLine("Mpi Req First Kana Name:" + properInfo.ReqFirstKanaName);
                                    System.Console.WriteLine("Mpi Req Last Kana Name:" + properInfo.ReqLastKanaName);
                                    // カード固有
                                    System.Console.WriteLine("Mpi Txn Kind:" + properInfo.TxnKind);
                                    System.Console.WriteLine("Mpi Card Transaction Type:" + properInfo.CardTransactionType);
                                    System.Console.WriteLine("Mpi Gateway Request Date:" + properInfo.GatewayRequestDate);
                                    System.Console.WriteLine("Mpi Gateway Response Date:" + properInfo.GatewayResponseDate);
                                    System.Console.WriteLine("Mpi Center Request Date:" + properInfo.CenterRequestDate);
                                    System.Console.WriteLine("Mpi Center Response Date:" + properInfo.CenterResponseDate);
                                    System.Console.WriteLine("Mpi Center Request Number:" + properInfo.CenterRequestNumber);
                                    System.Console.WriteLine("Mpi Center Reference Number:" + properInfo.CenterReferenceNumber);
                                    System.Console.WriteLine("Mpi Req Item Code:" + properInfo.ReqItemCode);
                                    System.Console.WriteLine("Mpi Res Item Code:" + properInfo.ResItemCode);
                                    System.Console.WriteLine("Mpi Req Return Reference Number:" + properInfo.ReqReturnReferenceNumber);
                                    System.Console.WriteLine("Mpi Responsedata:" + properInfo.Responsedata);
                                    System.Console.WriteLine("Mpi Pending:" + properInfo.Pending);
                                    System.Console.WriteLine("Mpi Loopback:" + properInfo.Loopback);
                                    System.Console.WriteLine("Mpi Connected Center Id:" + properInfo.ConnectedCenterId);
                                    System.Console.WriteLine("Mpi Req Card Number:" + properInfo.ReqCardNumber);
                                    System.Console.WriteLine("Mpi Req Card Expire:" + properInfo.ReqCardExpire);
                                    System.Console.WriteLine("Mpi Req Amount:" + properInfo.ReqAmount);
                                    System.Console.WriteLine("Mpi Req Card Option Type:" + properInfo.ReqCardOptionType);
                                    System.Console.WriteLine("Mpi Req Merchant Transaction:" + properInfo.ReqMerchantTransaction);
                                    System.Console.WriteLine("Mpi Req Auth Code:" + properInfo.ReqAuthCode);
                                    System.Console.WriteLine("Mpi Req Acquirer Code:" + properInfo.ReqAcquirerCode);
                                    System.Console.WriteLine("Mpi Req Card Center:" + properInfo.ReqCardCenter);
                                    System.Console.WriteLine("Mpi Req Jpo Information:" + properInfo.ReqJpoInformation);
                                    System.Console.WriteLine("Mpi Req Sales Day:" + properInfo.ReqSalesDay);
                                    System.Console.WriteLine("Mpi Req Cancel Day:" + properInfo.ReqCancelDay);
                                    System.Console.WriteLine("Mpi Req With Capture:" + properInfo.ReqWithCapture);
                                    System.Console.WriteLine("Mpi Req With Direct:" + properInfo.ReqWithDirect);
                                    System.Console.WriteLine("Mpi Req3d Message Version:" + properInfo.Req3dMessageVersion);
                                    System.Console.WriteLine("Mpi Req3d Transaction Id:" + properInfo.Req3dTransactionId);
                                    System.Console.WriteLine("Mpi Req3d Transaction Status:" + properInfo.Req3dTransactionStatus);
                                    System.Console.WriteLine("Mpi Req3d Cavv Algorithm:" + properInfo.Req3dCavvAlgorithm);
                                    System.Console.WriteLine("Mpi Req3d Cavv:" + properInfo.Req3dCavv);
                                    System.Console.WriteLine("Mpi Req3d Eci:" + properInfo.Req3dEci);
                                    System.Console.WriteLine("Mpi Req3d Ds Transaction Id:" + properInfo.Req3dDsTransactionId);
                                    System.Console.WriteLine("Mpi Req3d Server Transaction Id:" + properInfo.Req3dServerTransactionId);
                                    System.Console.WriteLine("Mpi Req Security Code:" + properInfo.ReqSecurityCode);
                                    System.Console.WriteLine("Mpi Req Auth Flag:" + properInfo.ReqAuthFlag);
                                    System.Console.WriteLine("Mpi Req Birthday:" + properInfo.ReqBirthday);
                                    System.Console.WriteLine("Mpi Req Tel:" + properInfo.ReqTel);
                                    System.Console.WriteLine("Mpi Req First Kana Name:" + properInfo.ReqFirstKanaName);
                                    System.Console.WriteLine("Mpi Req Last Kana Name:" + properInfo.ReqLastKanaName);
                                    System.Console.WriteLine("Mpi Res Merchant Transaction:" + properInfo.ResMerchantTransaction);
                                    System.Console.WriteLine("Mpi Res Return Reference Number:" + properInfo.ResReturnReferenceNumber);
                                    System.Console.WriteLine("Mpi Res Auth Code:" + properInfo.ResAuthCode);
                                    System.Console.WriteLine("Mpi Res Action Code:" + properInfo.ResActionCode);
                                    System.Console.WriteLine("Mpi Res Center Error Code:" + properInfo.ResCenterErrorCode);
                                    System.Console.WriteLine("Mpi Res Auth Term:" + properInfo.ResAuthTerm);
                                    System.Console.WriteLine("Mpi Req With New:" + properInfo.ReqWithNew);
                                    System.Console.WriteLine("Mpi Jpy Amount:" + properInfo.JpyAmount);
                                    System.Console.WriteLine("Mpi Res Mcp Response Code:" + properInfo.ResMcpResponseCode);
                                }
                            }
                        }
                    }
                }
            }
        }
    }
}
