﻿using System;
using jp.veritrans.tercerog.mdk.dto;
using jp.veritrans.tercerog.mdk;
using Microsoft.Extensions.Logging;

namespace ConsoleApplication.upop
{
    /// <summary>
    /// 銀聯ネット決済(UPOP) 取消要求サンプル
    /// </summary>
    public class CLI_UpopCancel
    {
        public virtual void Exec(ILogger logger, MerchantConfig merchantConfig)
        {
            /**
             * 取引ID
             * 与信完了または売上完了状態の取引のIDを指定
             */
            String orderId = "change_order_here";

            /**
             * 要求電文パラメータ値の指定
             */
            UpopCancelRequestDto requestData = new UpopCancelRequestDto();
            requestData.OrderId = orderId;

            /**
             * 実行と結果表示
             */
            Transaction tran = new Transaction(logger, merchantConfig);
            UpopCancelResponseDto responseData = (UpopCancelResponseDto)tran.Execute(requestData);

            System.Console.WriteLine("<< REQUEST >>");
            System.Console.WriteLine("Order ID:" + requestData.OrderId);

            System.Console.WriteLine("<< RESPONSE >>");
            System.Console.WriteLine("MStatus:" + responseData.Mstatus);
            System.Console.WriteLine("Message:" + responseData.MerrMsg);
            System.Console.WriteLine("Result Code:" + responseData.VResultCode);
            System.Console.WriteLine("Txn Datetime Jp:" + responseData.TxnDatetimeJp);
            System.Console.WriteLine("Txn Datetime Cn:" + responseData.TxnDatetimeCn);
            System.Console.WriteLine("Captured Amount:" + responseData.CapturedAmount);
            System.Console.WriteLine("Remaining Amount:" + responseData.RemainingAmount);
            System.Console.WriteLine("Settle Amount:" + responseData.SettleAmount);
            System.Console.WriteLine("Settle Date:" + responseData.SettleDate);
            System.Console.WriteLine("Settle Currency:" + responseData.SettleCurrency);
            System.Console.WriteLine("Settle Rate:" + responseData.SettleRate);
            System.Console.WriteLine("Upop Order Id:" + responseData.UpopOrderId);
        }
    }
}
