﻿using System;
using jp.veritrans.tercerog.mdk;
using jp.veritrans.tercerog.mdk.dto;
using Microsoft.Extensions.Logging;

namespace ConsoleApplication.upop
{
    /// <summary>
    /// 銀聯ネット決済(UPOP) 返金要求サンプル
    /// </summary>
    public partial class CLI_UpopRefund
    {
        public virtual void Exec(ILogger logger, MerchantConfig merchantConfig)
        {

            /**
             * 取引ID
             * 売上完了または部分返金状態の取引のIDを指定
             */
            String orderId = "change_order_here";

            /**
             * 金額
             */
            String amount = "10";

            /**
             * 要求電文パラメータ値の指定
             */
            UpopRefundRequestDto requestData = new UpopRefundRequestDto();
            requestData.OrderId = orderId;
            requestData.Amount = amount;

            /**
             * 実行と結果表示
             */
            Transaction tran = new Transaction(logger, merchantConfig);
            UpopRefundResponseDto responseData = (UpopRefundResponseDto)tran.Execute(requestData);

            System.Console.WriteLine("<< REQUEST >>");
            System.Console.WriteLine("Order ID:" + requestData.OrderId);
            System.Console.WriteLine("Amount:" + requestData.Amount);

            System.Console.WriteLine("<< RESPONSE >>");
            System.Console.WriteLine("MStatus:" + responseData.Mstatus);
            System.Console.WriteLine("Message:" + responseData.MerrMsg);
            System.Console.WriteLine("Result Code:" + responseData.VResultCode);
            System.Console.WriteLine("Txn Datetime Jp:" + responseData.TxnDatetimeJp);
            System.Console.WriteLine("Txn Datetime Cn:" + responseData.TxnDatetimeCn);
            System.Console.WriteLine("Captured Amount:" + responseData.CapturedAmount);
            System.Console.WriteLine("Remaining Amount:" + responseData.RemainingAmount);
            System.Console.WriteLine("Settle Amount:" + responseData.SettleAmount);
            System.Console.WriteLine("Settle Date:" + responseData.SettleDate);
            System.Console.WriteLine("Settle Currency:" + responseData.SettleCurrency);
            System.Console.WriteLine("Settle Rate:" + responseData.SettleRate);
            System.Console.WriteLine("Upop Order Id:" + responseData.UpopOrderId);
        }
    }
}
