﻿using jp.veritrans.tercerog.mdk;
using jp.veritrans.tercerog.mdk.dto;
using System;
using Microsoft.Extensions.Logging;

namespace ConsoleApplication.virtualacc
{
    /// <summary>
    /// 銀行振込決済 取消要求サンプル
    /// </summary>
    class CLI_VirtualaccCancel
    {
        public virtual void Exec(ILogger logger, MerchantConfig merchantConfig)
        {
            // 取引ID(申込請求時に利用したものを設定してください)
            String orderId = "";

            // サービスオプションタイプ
            // りそな : MdkServiceConstants.VACC_RESONA
            String serviceOptionType = MdkServiceConstants.VACC_RESONA;

            /**
             * 要求電文パラメータ値の指定
             */
            var requestData = new VirtualaccCancelRequestDto();
            requestData.OrderId = orderId;
            requestData.ServiceOptionType = serviceOptionType;

            /**
             * 実行と結果表示  
            */
            var tran = new Transaction(logger, merchantConfig);
            var responseData = (VirtualaccCancelResponseDto)tran.Execute(requestData);

            System.Console.WriteLine("<< REQUEST >>");
            System.Console.WriteLine("Order ID:" + requestData.OrderId);

            System.Console.WriteLine("<< RESPONSE >>");
            System.Console.WriteLine("Order Id:" + responseData.OrderId);
            System.Console.WriteLine("MStatus:" + responseData.Mstatus);
            System.Console.WriteLine("Message:" + responseData.MerrMsg);
            System.Console.WriteLine("Result Code:" + responseData.VResultCode);
        }
    }
}
