﻿using System.ComponentModel.DataAnnotations;

namespace CoreMvcApplication.Models.AmazonPayViewModels;

public class AuthorizeViewModel
{
    [Display(Name = "取引ID")]
    [Required]
    [StringLength(100)]
    public string OrderId { get; set; }

    [Required]
    [Display(Name = "金額")]
    [Range(1, 10000000)]
    public uint Amount { get; set; }

    [Display(Name = "売上フラグ")]
    [RegularExpression(@"\A(true|false)\z")]
    public string WithCapture { get; set; }

    [Display(Name = "配送先表示抑止フラグ")]
    [RegularExpression(@"\A(true|false)\z")]
    public string SuppressShippingAddressView { get; set; }

    [Display(Name = "注文説明")]
    [StringLength(255)]
    public string NoteToBuyer { get; set; }

    [Display(Name = "完了時URL")]
    [StringLength(256)]
    public string SuccessUrl { get; set; }

    [Display(Name = "キャンセル時URL")]
    [StringLength(256)]
    public string CancelUrl { get; set; }

    [Display(Name = "エラー時URL")]
    [StringLength(256)]
    public string ErrorUrl { get; set; }
    
    [Display(Name = "決済確認画面種別")]
    [RegularExpression(@"\A(|0|1)\z")]
    public string PayConfirmScreenType { get; set; }
    
    [Display(Name = "決済確認画面URL")]
    [StringLength(256)]
    public string PayConfirmScreenUrl { get; set; }
    
}