﻿using System.ComponentModel.DataAnnotations;

namespace CoreMvcApplication.Models.BankViewModels;

public class AuthorizeViewModel
{
    [Display(Name = "取引ID")]
    [Required]
    [StringLength(100)]
    public string OrderId { get; set; }

    [Required]
    [Display(Name = "決済金額")]
    [Range(1, 2000000000)]
    public uint Amount { get; set; }

    [Required]
    [Display(Name = "決済サービスオプション")]
    [RegularExpression(@"\A(atm|netbank-pc|netbank-docomo|netbank-softbank|netbank-au)\z")]
    public string ServiceOptionType { get; set; }

    [Display(Name = "姓")]
    [Required]
    [StringLength(10)]
    public string Name1 { get; set; }

    [Display(Name = "名")]
    [StringLength(10)]
    public string Name2 { get; set; }

    [Display(Name = "カナ（姓）")]
    [Required]
    [StringLength(10)]
    public string Kana1 { get; set; }

    [Display(Name = "カナ（名）")]
    [StringLength(10)]
    public string Kana2 { get; set; }

    [Required]
    [Display(Name = "支払期限")]
    [RegularExpression(@"\A([0-9]{8})\z")]
    public string PayLimit { get; set; }

    [Display(Name = "プッシュURL")]
    [Url]
    [StringLength(256)]
    public string PushUrl { get; set; }

    [Display(Name = "請求内容（漢字）")]
    [Required]
    [StringLength(12)]
    public string Contents { get; set; }

    [Display(Name = "請求内容（カナ）")]
    [Required]
    [StringLength(24)]
    public string ContentsKana { get; set; }

    [Display(Name = "決済結果戻り先URL")]
    [Url]
    [StringLength(128)]
    public string TermUrl { get; set; }
}