﻿using System.ComponentModel.DataAnnotations;

namespace CoreMvcApplication.Models.CardViewModels;

public class ReAuthorizeViewModel
{
    [Display(Name = "取引ID")]
    [Required]
    [StringLength(100)]
    public string OrderId { get; set; }

    [Required]
    [Display(Name = "金額")]
    [Range(1, 99999999)]
    public uint? Amount { get; set; }

    [Required]
    [Display(Name = "与信方法")]
    [RegularExpression(@"\A(true|false)\z")]
    public string WithCapture { get; set; }

    [Display(Name = "元取引ID")]
    [Required]
    [StringLength(100)]
    public string OriginalOrderId { get; set; }

    [Display(Name = "支払方法")]
    [RegularExpression(@"\A(10|21|61|80)\z")]
    [Required]
    public string Jpo1 { get; set; }

    [Display(Name = "支払回数")]
    [RegularExpression(@"\A[0-9]{2}\z")]
    public string Jpo2 { get; set; }

    [Display(Name = "セキュリティコード")]
    [RegularExpression(@"\A[0-9]{3,4}\z")]
    public string SecurityCode { get; set; }
}