﻿using System.ComponentModel.DataAnnotations;

namespace CoreMvcApplication.Models.CarrierViewModels;

public class CancelViewModel
{
    [Required]
    [Display(Name = "取引ID")]
    [StringLength(100)]
    public string OrderId { get; set; }

    [Required]
    [Display(Name = "キャリア選択")]
    [RegularExpression(@"\A(docomo|au|sb_ktai|flets)\z")]
    public string ServiceOptionType { get; set; }

    [Display(Name = "課金取消月(YYYYMM)")]
    [RegularExpression(@"\A[0-9]{6}\z")]
    public string CancelMonth { get; set; }

    [Display(Name = "金額")] public uint? Amount { get; set; }
}