﻿using System.ComponentModel.DataAnnotations;

namespace CoreMvcApplication.Models.CarrierViewModels;

public class ReAuthorizeViewModel
{
    [Required]
    [Display(Name = "取引ID")]
    [StringLength(100)]
    public string OrderId { get; set; }

    [Required]
    [Display(Name = "元取引ID")]
    [StringLength(100)]
    public string OriginalOrderId { get; set; }

    [Required]
    [Display(Name = "キャリア選択")]
    [RegularExpression(@"\A(docomo)\z")]
    public string ServiceOptionType { get; set; }

    [Display(Name = "金額")] public uint? Amount { get; set; }

    [Required]
    [Display(Name = "与信方法")]
    [RegularExpression(@"\A(false|true)\z")]
    public string WithCapture { get; set; }
}