﻿using System.ComponentModel.DataAnnotations;

namespace CoreMvcApplication.Models.CarrierViewModels;

public class TerminateViewModel
{
    [Required]
    [Display(Name = "取引ID")]
    [StringLength(100)]
    public string OrderId { get; set; }

    [Required]
    [Display(Name = "キャリア選択")]
    [RegularExpression(@"\A(docomo|au|sb_ktai|sb_matomete|flets)\z")]
    public string ServiceOptionType { get; set; }

    [Required]
    [Display(Name = "端末種別")]
    [RegularExpression(@"\A(0|1|2)\z")]
    public string TerminalKind { get; set; }

    [Display(Name = "決済完了時URL")]
    [StringLength(256)]
    [Url]
    public string SuccessUrl { get; set; }

    [Display(Name = "決済キャンセル時URL")]
    [StringLength(256)]
    [Url]
    public string CancelUrl { get; set; }

    [Display(Name = "決済エラー時URL")]
    [StringLength(256)]
    [Url]
    public string ErrorUrl { get; set; }

    [Display(Name = "プッシュURL")]
    [StringLength(256)]
    [Url]
    public string PushUrl { get; set; }
}