﻿using System.ComponentModel.DataAnnotations;

namespace CoreMvcApplication.Models.CvsViewModels;

public class AuthorizeViewModel
{
    [Display(Name = "取引ID")]
    [Required]
    [StringLength(100)]
    public string OrderId { get; set; }

    [Required]
    [Display(Name = "決済金額")]
    [Range(1, 299999)]
    public uint Amount { get; set; }

    [Required]
    [Display(Name = "決済サービスオプション")]
    [RegularExpression(@"\A(sej|econ|other)\z")]
    public string ServiceOptionType { get; set; }

    [Display(Name = "姓")]
    [Required]
    [StringLength(20)]
    public string Name1 { get; set; }

    [Display(Name = "名")]
    [Required]
    [StringLength(20)]
    public string Name2 { get; set; }

    [Display(Name = "電話番号")]
    [Required]
    [StringLength(13)]
    public string TelNo { get; set; }

    [Required]
    [Display(Name = "支払期限")]
    [RegularExpression(@"\A([0-9/]{8,10})\z")]
    public string PayLimit { get; set; }

    [Display(Name = "支払期限時分")]
    [RegularExpression(@"\A([0-9:]{4,5})\z")]
    public string PayLimitHhmm { get; set; }

    [Display(Name = "プッシュURL")]
    [Url]
    [StringLength(256)]
    public string PushUrl { get; set; }
}