﻿using System.ComponentModel.DataAnnotations;

namespace CoreMvcApplication.Models.EmViewModels;

public class AuthorizeViewModel
{
    [Display(Name = "取引ID")]
    [Required]
    [StringLength(100)]
    public string OrderId { get; set; }

    [Required]
    [Display(Name = "決済サービスオプション")]
    [RegularExpression(
        @"\A(edy\-pc|edy\-mobile|edy\-direct|suica\-mobile\-mail|suica\-mobile\-app|suica\-pc\-mail|suica\-pc\-app|waon\-pc|waon\-mobile|tcc\-redirect)\z")]
    public string ServiceOptionType { get; set; }

    [Required]
    [Display(Name = "決済金額")]
    [Range(1, 999999)]
    public uint Amount { get; set; }

    [Display(Name = "決済期限")]
    [RegularExpression(@"\A([0-9]{14})\z")]
    public string SettlementLimit { get; set; }

    [Display(Name = "支払取消期限")]
    [RegularExpression(@"\A([0-9]{14})\z")]
    public string CancelLimit { get; set; }

    [Display(Name = "メールアドレス")]
    [EmailAddress]
    [StringLength(256)]
    public string MailAddress { get; set; }

    [Display(Name = "ユーザID")]
    [StringLength(64)]
    public string UserId { get; set; }

}