﻿using System.ComponentModel.DataAnnotations;

namespace CoreMvcApplication.Models.EmViewModels;

public class CancelViewModel
{
    [Display(Name = "取引ID")]
    [Required]
    [StringLength(100)]
    public string OrderId { get; set; }

    [Required]
    [Display(Name = "決済サービスオプション")]
    [RegularExpression(
        @"\A(suica\-mobile\-mail|suica\-mobile\-app|suica\-pc\-mail|suica\-pc\-app|tcc\-redirect)\z")]
    public string ServiceOptionType { get; set; }

    [Display(Name = "対象取引種別")]
    [RegularExpression(@"\A(authorize|refund)\z")]
    public string OrderKind { get; set; }
}