﻿using System.ComponentModel.DataAnnotations;

namespace CoreMvcApplication.Models.EmViewModels;

public class RefundViewModel
{
    [Required]
    [Display(Name = "決済サービスオプション")]
    [RegularExpression(
        @"\A(edy\-pc|edy\-mobile|edy\-direct|suica\-mobile\-mail|suica\-mobile\-app|suica\-pc\-mail|suica\-pc\-app|waon\-pc|waon\-mobile)\z")]
    public string ServiceOptionType { get; set; }

    [Required]
    [Display(Name = "返金金額")]
    [Range(1, 99999)]
    public uint Amount { get; set; }

    [Required]
    [Display(Name = "オーダー種別")]
    [StringLength(10, MinimumLength = 1)]
    public string OrderKind { get; set; }

    [Required]
    [Display(Name = "対象取引ID")]
    [StringLength(100)]
    public string RefundOrderId { get; set; }

    [Display(Name = "決済期限")]
    [RegularExpression(@"\A([0-9]{14})\z")]
    public string SettlementLimit { get; set; }

    [Display(Name = "画面タイトル")]
    [StringLength(40)]
    public string ScreenTitle { get; set; }
}