﻿using System.ComponentModel.DataAnnotations;

namespace CoreMvcApplication.Models.LinepayViewModels;

public class AuthorizeViewModel
{
    [Display(Name = "取引ID")]
    [Required]
    [StringLength(100)]
    public string OrderId { get; set; }

    [Required]
    [Display(Name = "金額")]
    [Range(1, 9999999)]
    public uint Amount { get; set; }

    [Required]
    [Display(Name = "与信方法")]
    [RegularExpression(@"\A(true|false)\z")]
    public string WithCapture { get; set; }

    [Display(Name = "商品番号")]
    [RegularExpression(@"\A[a-zA-Z0-9]{1,64}\z")]
    public string ItemId { get; set; }

    [Display(Name = "商品名")] [Required] public string ItemName { get; set; }

    [Display(Name = "商品画像URL")]
    [StringLength(256)]
    public string ItemImageUrl { get; set; }

    [Display(Name = "使用ブラウザ判定")]
    [RegularExpression(@"\A(true|false)\z")]
    public string CheckUseBrowser { get; set; }

    [Display(Name = "アプリ起動URLスキーム")]
    [StringLength(256)]
    public string AppUrlScheme { get; set; }

    [Display(Name = "独自アプリ起動時のオプション指定")]
    [RegularExpression(@"\A(0|1)\z")]
    public string UseOriginalApp { get; set; }

    [Display(Name = "packageName")]
    [StringLength(4000)]
    public string PackageName { get; set; }

    [Display(Name = "決済完了時URL")]
    [Url]
    [StringLength(256)]
    public string SuccessUrl { get; set; }

    [Display(Name = "決済キャンセル時URL")]
    [Url]
    [StringLength(256)]
    public string CancelUrl { get; set; }

    [Display(Name = "決済エラー時URL")]
    [Url]
    [StringLength(256)]
    public string ErrorUrl { get; set; }

    [Display(Name = "決済確認方法")]
    [RegularExpression(@"\A(0|1)\z")]
    [Required]
    public string PaymentConfirmType { get; set; }

    [Display(Name = "ワンタイムキー")]
    [StringLength(12)]
    public string OneTimeKey { get; set; }

    [Display(Name = "プッシュURL")]
    [Url]
    [StringLength(256)]
    public string PushUrl { get; set; }
}