﻿using System.ComponentModel.DataAnnotations;

namespace CoreMvcApplication.Models.MasterpassViewModels;

public class AuthorizeViewModel
{
    [Display(Name = "取引ID")]
    [Required]
    [StringLength(100)]
    public string OrderId { get; set; }

    [Required]
    [Display(Name = "金額")]
    [Range(1, 99999999)]
    public uint Amount { get; set; }

    [Required]
    [Display(Name = "与信方法")]
    [RegularExpression(@"\A(true|false)\z")]
    public string WithCapture { get; set; }

    [Display(Name = "カード番号")] public string CardNumber { get; set; }

    [Display(Name = "配送先：氏名")] public string ShippingName { get; set; }

    [Display(Name = "配送先：電話番号")] public string ShippingPhone { get; set; }

    [Display(Name = "配送先：市")] public string ShippingCity { get; set; }

    [Display(Name = "配送先：国")] public string ShippingCountry { get; set; }

    [Display(Name = "配送先：地域")] public string ShippingCountrySubdivision { get; set; }

    [Display(Name = "配送先：住所1")] public string ShippingAddress1 { get; set; }

    [Display(Name = "配送先：住所2")] public string ShippingAddress2 { get; set; }

    [Display(Name = "配送先：住所3")] public string ShippingAddress3 { get; set; }

    [Display(Name = "配送先：郵便番号")] public string ShippingPostalCode { get; set; }
}