﻿using System.ComponentModel.DataAnnotations;

namespace CoreMvcApplication.Models.MasterpassViewModels;

public class LoginViewModel
{
    [Display(Name = "取引ID")]
    [Required]
    [StringLength(100)]
    public string OrderId { get; set; }

    [Display(Name = "商品ID")]
    [RegularExpression(@"\A([0-9a-zA-Z]{1,64})\z")]
    public string ItemId { get; set; }

    [Display(Name = "配送先抑止フラグ")]
    [RegularExpression(@"\A(true|false)\z")]
    public string SuppressShippingAddress { get; set; }

    [Display(Name = "配送先許可エリア")]
    [RegularExpression(@"\A([a-zA-Z,]{1,256})\z")]
    public string ShippingLocationProfile { get; set; }

    [Display(Name = "認証完了時URL")]
    [Url]
    [StringLength(256)]
    public string SuccessUrl { get; set; }

    [Display(Name = "認証キャンセル時URL")]
    [Url]
    [StringLength(256)]
    public string CancelUrl { get; set; }

    [Display(Name = "認証エラー時URL")]
    [Url]
    [StringLength(256)]
    public string ErrorUrl { get; set; }

    [Required]
    [Display(Name = "合計金額")]
    [Range(1, 99999999)]
    public uint ItemAmount { get; set; }

    [Display(Name = "表示用商品説明1")]
    [Required]
    [StringLength(100)]
    public string Description1 { get; set; }

    [Display(Name = "表示用商品金額1")]
    [Required]
    [Range(1, 99999999)]
    public uint Value1 { get; set; }

    [Display(Name = "表示用商品数量1")]
    [Required]
    [Range(1, 999999999999)]
    public uint Quantity1 { get; set; }

    [Display(Name = "表示用商品イメージURL1")]
    [Url]
    [StringLength(256)]
    public string ImageUrl1 { get; set; }

    [Display(Name = "表示用商品説明2")]
    [StringLength(100)]
    public string Description2 { get; set; }

    [Display(Name = "表示用商品金額2")]
    [Range(1, 99999999)]
    public uint? Value2 { get; set; }

    [Display(Name = "表示用商品数量2")]
    [Range(1, 999999999999)]
    public uint? Quantity2 { get; set; }

    [Display(Name = "表示用商品イメージURL2")]
    [Url]
    [StringLength(256)]
    public string ImageUrl2 { get; set; }

    [Display(Name = "表示用商品説明3")]
    [StringLength(100)]
    public string Description3 { get; set; }

    [Display(Name = "表示用商品金額3")]
    [Range(1, 99999999)]
    public uint? Value3 { get; set; }

    [Display(Name = "表示用商品数量3")]
    [Range(1, 999999999999)]
    public uint? Quantity3 { get; set; }

    [Display(Name = "表示用商品イメージURL3")]
    [Url]
    [StringLength(256)]
    public string ImageUrl3 { get; set; }

    [Display(Name = "表示用商品説明4")]
    [StringLength(100)]
    public string Description4 { get; set; }

    [Display(Name = "表示用商品金額4")]
    [Range(1, 99999999)]
    public uint? Value4 { get; set; }

    [Display(Name = "表示用商品数量4")]
    [Range(1, 999999999999)]
    public uint? Quantity4 { get; set; }

    [Display(Name = "表示用商品イメージURL4")]
    [Url]
    [StringLength(256)]
    public string ImageUrl4 { get; set; }

    [Display(Name = "表示用商品説明5")]
    [StringLength(100)]
    public string Description5 { get; set; }

    [Display(Name = "表示用商品金額5")]
    [Range(1, 99999999)]
    public uint? Value5 { get; set; }

    [Display(Name = "表示用商品数量5")]
    [Range(1, 999999999999)]
    public uint? Quantity5 { get; set; }

    [Display(Name = "表示用商品イメージURL5")]
    [Url]
    [StringLength(256)]
    public string ImageUrl5 { get; set; }

    [Display(Name = "表示用商品説明6")]
    [StringLength(100)]
    public string Description6 { get; set; }

    [Display(Name = "表示用商品金額6")]
    [Range(1, 99999999)]
    public uint? Value6 { get; set; }

    [Display(Name = "表示用商品数量6")]
    [Range(1, 999999999999)]
    public uint? Quantity6 { get; set; }

    [Display(Name = "表示用商品イメージURL6")]
    [Url]
    [StringLength(256)]
    public string ImageUrl6 { get; set; }

    [Display(Name = "表示用商品説明7")]
    [StringLength(100)]
    public string Description7 { get; set; }

    [Display(Name = "表示用商品金額7")]
    [Range(1, 99999999)]
    public uint? Value7 { get; set; }

    [Display(Name = "表示用商品数量7")]
    [Range(1, 999999999999)]
    public uint? Quantity7 { get; set; }

    [Display(Name = "表示用商品イメージURL7")]
    [Url]
    [StringLength(256)]
    public string ImageUrl7 { get; set; }

    [Display(Name = "表示用商品説明8")]
    [StringLength(100)]
    public string Description8 { get; set; }

    [Display(Name = "表示用商品金額8")]
    [Range(1, 99999999)]
    public uint? Value8 { get; set; }

    [Display(Name = "表示用商品数量8")]
    [Range(1, 999999999999)]
    public uint? Quantity8 { get; set; }

    [Display(Name = "表示用商品イメージURL8")]
    [Url]
    [StringLength(256)]
    public string ImageUrl8 { get; set; }

    [Display(Name = "表示用商品説明9")]
    [StringLength(100)]
    public string Description9 { get; set; }

    [Display(Name = "表示用商品金額9")]
    [Range(1, 99999999)]
    public uint? Value9 { get; set; }

    [Display(Name = "表示用商品数量9")]
    [Range(1, 999999999999)]
    public uint? Quantity9 { get; set; }

    [Display(Name = "表示用商品イメージURL9")]
    [Url]
    [StringLength(256)]
    public string ImageUrl9 { get; set; }

    [Display(Name = "表示用商品説明10")]
    [StringLength(100)]
    public string Description10 { get; set; }

    [Display(Name = "表示用商品金額10")]
    [Range(1, 99999999)]
    public uint? Value10 { get; set; }

    [Display(Name = "表示用商品数量10")]
    [Range(1, 999999999999)]
    public uint? Quantity10 { get; set; }

    [Display(Name = "表示用商品イメージURL10")]
    [Url]
    [StringLength(256)]
    public string ImageUrl10 { get; set; }
}