﻿using System.ComponentModel.DataAnnotations;

namespace CoreMvcApplication.Models.OricoscViewModels;

public class AuthorizeViewModel
{
    [Display(Name = "取引ID")]
    [Required]
    [StringLength(100)]
    public string OrderId { get; set; }

    [Display(Name = "注文番号")]
    [Required]
    [RegularExpression(@"\A([0-9a-zA-Z]{1,20})\z")]
    public string OricoOrderNo { get; set; }

    [Display(Name = "会員番号")]
    [StringLength(20, MinimumLength = 1)]
    public string UserNo { get; set; }

    [Display(Name = "配送先郵便番号")]
    [Required]
    [RegularExpression(@"\A([0-9]{3}-[0-9]{4})\z")]
    public string ShippingZipCode { get; set; }

    [Display(Name = "取扱契約番号")]
    [RegularExpression(@"\A([0-9a-zA-Z]{1,3})\z")]
    public string HandlingContractNo { get; set; }

    [Display(Name = "契約書有無区分")]
    [RegularExpression(@"\A(0|1)\z")]
    public string ContractDocumentKbn { get; set; }

    [Display(Name = "WEB申込商品ID")]
    [RegularExpression(@"\A([0-9a-zA-Z]{1,4})\z")]
    public string WebDescriptionId { get; set; }

    [Display(Name = "商品名1")]
    [StringLength(256)]
    [Required]
    public string ItemName1 { get; set; }

    [Display(Name = "数量1")]
    [Range(1, 999)]
    [Required]
    public uint? ItemCount1 { get; set; }

    [Display(Name = "商品価格1(税込)")]
    [Range(-99999999, 99999999)]
    [Required]
    public int? ItemAmount1 { get; set; }

    [Display(Name = "商品名2")]
    [StringLength(256)]
    public string ItemName2 { get; set; }

    [Display(Name = "数量2")]
    [Range(1, 999)]
    [Required]
    public uint? ItemCount2 { get; set; }

    [Display(Name = "商品価格2(税込)")]
    [Range(-99999999, 99999999)]
    [Required]
    public int? ItemAmount2 { get; set; }

    [Display(Name = "商品名3")]
    [StringLength(256)]
    public string ItemName3 { get; set; }

    [Display(Name = "数量3")]
    [Range(1, 999)]
    [Required]
    public uint? ItemCount3 { get; set; }

    [Display(Name = "商品価格3(税込)")]
    [Range(-99999999, 99999999)]
    [Required]
    public int? ItemAmount3 { get; set; }

    [Display(Name = "商品名4")]
    [StringLength(256)]
    public string ItemName4 { get; set; }

    [Display(Name = "数量4")]
    [Range(1, 999)]
    [Required]
    public uint? ItemCount4 { get; set; }

    [Display(Name = "商品価格4(税込)")]
    [Range(-99999999, 99999999)]
    [Required]
    public int? ItemAmount4 { get; set; }

    [Display(Name = "商品名5")]
    [StringLength(256)]
    public string ItemName5 { get; set; }

    [Display(Name = "数量5")]
    [Range(1, 999)]
    [Required]
    public uint? ItemCount5 { get; set; }

    [Display(Name = "商品価格5(税込)")]
    [Range(-99999999, 99999999)]
    [Required]
    public int? ItemAmount5 { get; set; }

    [Required]
    [Display(Name = "商品価格合計(税込)")]
    [Range(500, 99999999)]
    public uint TotalItemAmount { get; set; }

    [Display(Name = "送料合計(税込)")]
    [Range(1, 99999999)]
    public uint? TotalCarriage { get; set; }

    [Display(Name = "支払金額合計")]
    [Range(1, 99999999)]
    [Required]
    public uint Amount { get; set; }

    [Display(Name = "頭金")]
    [Range(1, 99999999)]
    public uint? Deposit { get; set; }
}