﻿using System.ComponentModel.DataAnnotations;
using Microsoft.AspNetCore.Mvc.Rendering;

namespace CoreMvcApplication.Models.PayNowIdModels;

public class CardManageViewModel
{
    [Display(Name = "トークン")]
    [RegularExpression(@"\A[0-9a-f\-]{36}\z")]
    [Required]
    public virtual string Token { get; set; }

    [Display(Name = "会員ID")]
    [StringLength(100)]
    [Required]
    public string AccountId { get; set; }

    [Display(Name = "カード選択")]
    [StringLength(100)]
    [Required]
    public virtual string CardId { get; set; }

    public string Mode { get; set; }

    public List<SelectListItem> CardIds { get; set; } = new()
    {
        new() {Value = string.Empty, Text = "新しいカードを登録する"}
    };
}