﻿using System.ComponentModel.DataAnnotations;

namespace CoreMvcApplication.Models.PayNowIdModels;

public class EntryAndCardViewModel
{
    [Display(Name = "取引ID")]
    [Required]
    [StringLength(100)]
    public string OrderId { get; set; }

    [Required]
    [Display(Name = "金額")]
    [Range(1, 99999999)]
    public uint Amount { get; set; }

    [Required]
    [Display(Name = "与信方法")]
    [RegularExpression(@"\A(true|false)\z")]
    public string WithCapture { get; set; }

    [Display(Name = "トークン")]
    [RegularExpression(@"\A[0-9a-f\-]{36}\z")]
    public string Token { get; set; }

    [Display(Name = "支払方法")]
    [RegularExpression(@"\A(10|21|61|80)\z")]
    [Required]
    public string Jpo1 { get; set; }

    [Display(Name = "支払回数")]
    [RegularExpression(@"\A[0-9]{2}$\z")]
    public string Jpo2 { get; set; }

    [Display(Name = "会員ID")]
    [StringLength(100)]
    public string AccountId { get; set; }

    [Display(Name = "課金グループID")]
    [StringLength(100)]
    public string GroupId { get; set; }

    [Display(Name = "課金開始日")]
    [RegularExpression(@"\A[0-9]{8}\z")]
    public string StartDate { get; set; }

    [Display(Name = "課金終了日")]
    [RegularExpression(@"\A[0-9]{8}\z")]
    public string EndDate { get; set; }

    [Display(Name = "都度/初回課金金額")]
    [Range(1, 99999999)]
    public uint? OneTimeAmount { get; set; }

    [Display(Name = "継続課金金額")]
    [Range(1, 99999999)]
    public uint? RecurringAmount { get; set; }
}