﻿using System.ComponentModel.DataAnnotations;
using Microsoft.AspNetCore.Mvc.Rendering;

namespace CoreMvcApplication.Models.PayNowIdModels;

public class RecurringTerminateViewModel
{
    [Display(Name = "会員ID")]
    [StringLength(100)]
    [Required]
    public string AccountId { get; set; }

    public string Mode { get; set; }

    public List<SelectListItem> GroupIds { get; set; } = new();

    [Display(Name = "課金グループID")]
    [RegularExpression(@"\A[0-9a-zA-Z\.\-_@]{1,100}\z")]
    [Required]
    public string GroupId { get; set; }

    [Display(Name = "課金終了日")]
    [RegularExpression(@"\A[0-9]{8}\z")]
    public string EndDate { get; set; }

    [Display(Name = "次回課金で自動的に終了する")] public bool FinalCharge { get; set; }
}