using System.ComponentModel.DataAnnotations;

namespace CoreMvcApplication.Models.PayPalViewModels;

public class AuthorizeViewModel
{
    [Display(Name = "取引ID")]
    [Required]
    [StringLength(100)]
    public string OrderId { get; set; }

    [Required]
    [Display(Name = "金額")]
    [Range(1, 9999999)]
    public uint Amount { get; set; }

    [Required]
    [Display(Name = "決済方法")]
    [RegularExpression(@"\A(authorize|capture)\z")]
    public string PaymentAction { get; set; }
}