﻿using System.ComponentModel.DataAnnotations;

namespace CoreMvcApplication.Models.PayPayViewModels;

public class AuthorizeViewModel
{
    [Display(Name = "取引ID")]
    [Required]
    [StringLength(100)]
    public string OrderId { get; set; }

    [Required]
    [Display(Name = "決済金額")]
    [Range(1, 9999999)]
    public uint Amount { get; set; }

    [Required]
    [Display(Name = "与信方法")]
    [RegularExpression(@"\A(true)\z")]
    public string WithCapture { get; set; }

    [Display(Name = "ワンタイムコード")]
    [Required]
    [RegularExpression(@"\A[0-9a-zA-Z]{1,32}\z")]
    public string OneTimeCode { get; set; }

    [Display(Name = "商品名")]
    [Required]
    [StringLength(128)]
    public string ItemName { get; set; }

    [Display(Name = "店舗ID")]
    [Required]
    [RegularExpression(@"\A[0-9a-zA-Z_\-]{1,128}\z")]
    public string StoreId { get; set; }

    [Display(Name = "店舗端末ID")]
    [Required]
    [RegularExpression(@"\A[0-9a-zA-Z_\-]{1,128}\z")]
    public string TerminalId { get; set; }

    [Display(Name = "決済事業者コード")]
    [RegularExpression(@"\A[0-9]{1,5}\z")]
    public string SettleBizCode { get; set; }

    [Display(Name = "レシート番号")]
    [RegularExpression(@"\A[0-9a-zA-Z]{1,128}\z")]
    public string ReceiptNumber { get; set; }
}