﻿using System.ComponentModel.DataAnnotations;

namespace CoreMvcApplication.Models.PayPayViewModels;

public class OnlineAuthorizeViewModel
{
    [Display(Name = "取引ID")]
    [Required]
    [StringLength(100)]
    public string OrderId { get; set; }

    [Display(Name = "決済金額")]
    [Range(1, 9999999)]
    public uint? Amount { get; set; }


    [Display(Name = "商品名")]
    [StringLength(40)]
    public string ItemName { get; set; }

    [Display(Name = "商品ID")]
    [StringLength(32)]
    public string ItemId { get; set; }

    [Display(Name = "決済完了時URL")]
    [StringLength(256)]
    [Url]
    public string SuccessUrl { get; set; }

    [Display(Name = "決済キャンセル時URL")]
    [StringLength(256)]
    [Url]
    public string CancelUrl { get; set; }

    [Display(Name = "決済エラー時URL")]
    [StringLength(256)]
    [Url]
    public string ErrorUrl { get; set; }

    [Display(Name = "プッシュ通知先URL")]
    [Url]
    [StringLength(256)]
    public string PushUrl { get; set; }

}