﻿using System.ComponentModel.DataAnnotations;

namespace CoreMvcApplication.Models.RakutenViewModels;

public class AuthorizeViewModel
{
    [Display(Name = "取引ID")]
    [Required]
    [StringLength(100)]
    public string OrderId { get; set; }

    [Display(Name = "金額")]
    [Range(100, 99999999)]
    public uint? Amount { get; set; }

    [Display(Name = "決済種別")]
    [RegularExpression(@"\A(0|2)\z")]
    public string PayType { get; set; }

    [Display(Name = "与信方法")]
    [RegularExpression(@"\A(true|false)\z")]
    public string WithCapture { get; set; }

    [Display(Name = "課金種別")]
    [RegularExpression(@"\A(0|1)\z")]
    public string AccountingType { get; set; }

    [Display(Name = "商品番号")]
    [RegularExpression(@"\A[a-zA-Z0-9]{1,64}\z")]
    public string ItemId { get; set; }

    [Display(Name = "商品名")]
    [StringLength(300)]
    public string ItemName { get; set; }

    [Display(Name = "決済完了時URL")]
    [Url]
    [StringLength(1024)]
    public string SuccessUrl { get; set; }

    [Display(Name = "決済エラー時URL")]
    [Url]
    [StringLength(1024)]
    public string ErrorUrl { get; set; }

    [Display(Name = "プッシュURL")]
    [Url]
    [StringLength(1024)]
    public string PushUrl { get; set; }
}