using System.ComponentModel.DataAnnotations;

namespace CoreMvcApplication.Models.RakutenViewModels;

public class ReAuthorizeViewModel
{
    [Display(Name = "取引ID")]
    [Required]
    [StringLength(100)]
    public string OrderId { get; set; }

    [Required]
    [Display(Name = "元取引ID")]
    [StringLength(100)]
    public string OriginalOrderId { get; set; }

    [Required]
    [Display(Name = "金額")]
    [Range(100, 99999999)]
    public uint? Amount { get; set; }

    [Display(Name = "与信方法")]
    [RegularExpression(@"\A(true|false)\z")]
    public string WithCapture { get; set; }

    [Display(Name = "商品ID")]
    [RegularExpression(@"\A[a-zA-Z0-9]{1,64}\z")]
    public string ItemId { get; set; }

    [Display(Name = "商品名")]
    [StringLength(300)]
    public string ItemName { get; set; }
}