﻿using System.ComponentModel.DataAnnotations;

namespace CoreMvcApplication.Models.RecruitViewModels;

public class AuthorizeViewModel
{
    [Display(Name = "取引ID")]
    [Required]
    [StringLength(100)]
    public string OrderId { get; set; }

    [Required]
    [Display(Name = "金額")]
    [Range(1, 9999999)]
    public uint Amount { get; set; }

    [Required]
    [Display(Name = "与信方法")]
    [RegularExpression(@"\A(true|false)\z")]
    public string WithCapture { get; set; }

    [Display(Name = "商品番号")]
    [RegularExpression(@"\A[a-zA-Z0-9]{1,64}\z")]
    public string ItemId { get; set; }

    [Display(Name = "商品名")]
    [StringLength(255)]
    [Required]
    public string ItemName { get; set; }

    [Display(Name = "決済完了時URL")]
    [Url]
    [StringLength(256)]
    public string SuccessUrl { get; set; }

    [Display(Name = "決済エラー時URL")]
    [Url]
    [StringLength(256)]
    public string ErrorUrl { get; set; }

    [Display(Name = "プッシュURL")]
    [Url]
    [StringLength(256)]
    public string PushUrl { get; set; }
}