﻿using System.ComponentModel.DataAnnotations;

namespace CoreMvcApplication.Models.SaisonViewModels;

public class CaptureViewModel
{
    [Display(Name = "取引ID")] [Required] public string OrderId { get; set; }

    [Display(Name = "永久不滅ウォレット残高")] public uint? PointBalance { get; set; }

    [Display(Name = "永久不滅ポイント残高")] public uint? AqfPointBalance { get; set; }

    [Display(Name = "交換後利用可能バリュー")] public uint? AvailableValue { get; set; }

    [Display(Name = "合計決済金額")] public uint? Amount { get; set; }

    [Display(Name = "永久不滅ウォレット決済金額")]
    [Range(1, 99999999)]
    [Required]
    public uint? WalletAmount { get; set; }


    [Display(Name = "カード決済金額")]
    [Range(0, 99999999)]
    public uint? CardAmount { get; set; }


    [Display(Name = "トークン")]
    [RegularExpression(@"\A[0-9a-f\-]{36}\z")]
    public string Token { get; set; }

    [Display(Name = "カード取引ID")]
    [RegularExpression(@"\A[0-9a-zA-Z]{1,100}\z")]
    public string CardOrderId { get; set; }

    [Required]
    [Display(Name = "与信方法")]
    [RegularExpression(@"\A(true|false)\z")]
    public string WithCapture { get; set; }
}