﻿using System.ComponentModel.DataAnnotations;

namespace CoreMvcApplication.Models.VirtualAccViewModels;

public class AuthorizeViewModel
{
    [Display(Name = "取引ID")]
    [Required]
    [StringLength(100)]
    public string OrderId { get; set; }

    [Required]
    [Display(Name = "決済金額")]
    [Range(1, 999999999999)]
    public uint Amount { get; set; }

    [Display(Name = "登録時振込人名")]
    [Required]
    [StringLength(64)]
    public string EntryTransferName { get; set; }

    [Display(Name = "登録時振込番号")]
    [StringLength(10)]
    [RegularExpression(@"\A([０-９]{5})\z")]
    public string EntryTransferNumber { get; set; }

    [Display(Name = "振込期限")]
    [RegularExpression(@"\A([0-9]{8})\z")]
    public string TransferExpiredDate { get; set; }

    [Display(Name = "口座番号")]
    [RegularExpression(@"\A([0-9]{7})\z")]
    public string AccountNumber { get; set; }

    [Required]
    [Display(Name = "口座管理方式")]
    [RegularExpression(@"\A(0|1)\z")]
    public string AccountManageType { get; set; }

    [Display(Name = "支店コード")]
    [RegularExpression(@"\A([0-9]{3})\z")]
    [StringLength(24)]
    public string BranchCode { get; set; }
}