﻿using System.ComponentModel.DataAnnotations;

namespace CoreMvcApplication.Models.VirtualAccViewModels;

public class DepositEntryViewModel
{
    [Display(Name = "取引ID")]
    [Required]
    [StringLength(100)]
    public string OrderId { get; set; }

    [Required]
    [Display(Name = "売上金額")]
    [Range(1, 99999999)]
    public uint Amount { get; set; }

    [Display(Name = "振込人名")]
    [StringLength(64)]
    public string TransferName { get; set; }

    [Display(Name = "入金日")]
    [RegularExpression(@"\A([0-9]{8})\z")]
    [Required]
    public string DepositDate { get; set; }

    [Display(Name = "消込フラグ")]
    [RegularExpression(@"\A(0|1|2)\z")]
    public string WithReconcile { get; set; }

    [Display(Name = "登録方法")]
    [RegularExpression(@"\A(0|1)\z")]
    public string RegistrationMethod { get; set; }
}