﻿namespace CoreMvcApplication;

public class SampleSettings
{
    public MpiSetting Mpi { get; set; }

    public CvsSetting Cvs { get; set; }

    public PayPalSetting PayPal { get; set; }

    public SaisonSetting Saison { get; set; }

    public UpopSetting Upop { get; set; }

    public AlipaySetting Alipay { get; set; }

    public CarrierSetting Carrier { get; set; }

    public OricoScSetting OricoSc { get; set; }

    public RakutenSetting Rakuten { get; set; }

    public RecruitSetting Recruit { get; set; }

    public LinePaySetting LinePay { get; set; }

    public MasterPassSetting MasterPass { get; set; }

    public PayPaySetting PayPay { get; set; }

    public AmazonPaySetting AmazonPay { get; set; }

    public EmSetting Em { get; set; }

    public BankSetting Bank { get; set; }

    public PushSetting Push { get; set; }

    public PayNowIdSetting PayNowId { get; set; }

    public TokenSetting Token { get; set; }

    public MdkSetting Mdk { get; set; }

    public class MpiSetting
    {
        public string RedirectUrl { get; set; }
        public string PushUrl { get; set; }
    }

    public class CvsSetting
    {
        public string PushUrl { get; set; }
    }


    public class PayPalSetting
    {
        public string DefaultReturnPage { get; set; }
        public string DefaultCancelPage { get; set; }
    }

    public class SaisonSetting
    {
        public string MerchantRedirectionUri { get; set; }
    }

    public class UpopSetting
    {
        public string TermUrl { get; set; }
    }

    public class AlipaySetting
    {
        public string SuccessUrl { get; set; }
        public string ErrorUrl { get; set; }
    }

    public class CarrierSetting
    {
        public string SuccessUrl { get; set; }
        public string CancelUrl { get; set; }
        public string ErrorUrl { get; set; }
        public string PushUrl { get; set; }
    }

    public class OricoScSetting
    {
        public string MerchantRedirectionUrl { get; set; }
    }

    public class RakutenSetting
    {
        public string SuccessUrl { get; set; }
        public string ErrorUrl { get; set; }
        public string PushUrl { get; set; }
    }

    public class RecruitSetting
    {
        public string SuccessUrl { get; set; }
        public string ErrorUrl { get; set; }
        public string PushUrl { get; set; }
    }

    public class LinePaySetting
    {
        public string SuccessUrl { get; set; }
        public string CancelUrl { get; set; }
        public string ErrorUrl { get; set; }
        public string PushUrl { get; set; }
    }

    public class MasterPassSetting
    {
        public string SuccessUrl { get; set; }
        public string CancelUrl { get; set; }
        public string ErrorUrl { get; set; }
    }

    public class PayPaySetting
    {
        public string SuccessUrl { get; set; }
        public string CancelUrl { get; set; }
        public string ErrorUrl { get; set; }
        public string PushUrl { get; set; }
    }

    public class AmazonPaySetting
    {
        public string SuccessUrl { get; set; }
        public string CancelUrl { get; set; }
        public string ErrorUrl { get; set; }
        public string AuthorizePushUrl { get; set; }
        public string CapturePushUrl { get; set; }
        public string CancelPushUrl { get; set; }
        public string PayConfirmScreenUrl { get; set; }
    }

    public class EmSetting
    {
        public string EmCompleteNoticeUrl { get; set; }
        public string WaonMerchantUrl { get; set; }
    }

    public class BankSetting
    {
        public string TermUrl { get; set; }
    }

    public class PushSetting
    {
        public string OutputDirectory { get; set; }
    }

    public class PayNowIdSetting
    {
        public string TermUrl { get; set; }
    }

    public class TokenSetting
    {
        public string TokenApiKey { get; set; }
        public string TokenApiUrl { get; set; }
    }

    public class MdkSetting
    {
        public string Host { get; set; }

        public string MerchantCcId { get; set; }

        public string MerchantSecret { get; set; }

        public bool Dummy { get; set; }

        /**
             * appsettings.json で 3GPSMDK.ini のパスを指定すると上記の個別指定より優先されます
             */
        public string MdkIniPath { get; set; }
    }
}