using jp.veritrans.tercerog.mdk;
using Microsoft.AspNetCore.Mvc;
using Microsoft.Extensions.Options;

namespace CoreMvcApplication.Services;

public class MdkTransactionService : IMdkTransactionService
{
    private readonly SampleSettings _settings;

    public MdkTransactionService(IOptions<SampleSettings> settings)
    {
        _settings = settings.Value;
    }

    public Transaction GetMdkTransactionInstance(ILogger<Controller> logger)
    {
        return new Transaction(logger, GetMerchantConfigInstance(logger));
    }

    public MerchantConfig GetMerchantConfigInstance(ILogger<Controller> logger)
    {
        if (!string.IsNullOrWhiteSpace(_settings.Mdk.MdkIniPath))
            return new MerchantConfig(logger, new FileInfo(_settings.Mdk.MdkIniPath));
        return new MerchantConfig(logger,
            _settings.Mdk.MerchantCcId, _settings.Mdk.MerchantSecret,
            _settings.Mdk.Dummy, hostUrl: _settings.Mdk.Host);
    }

    public T ExecuteMdkTransaction<T>(Transaction transaction, IRequestDto requestDto) where T : IResponseDto, new()
    {
        return transaction.Execute<T>(requestDto);
    }
}