﻿// Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
// for details on configuring this project to bundle and minify static web assets.

// Write your JavaScript code.
$("button[type=submit]").bind("click",
    function () {
        if ($(this).data("mdktoken") === "enable") {
            var data = {};
            data.token_api_key = document.getElementById("tokenApiKey").innerText;
            if (document.getElementById("cardNumber")) {
                data.card_number = document.getElementById("cardNumber").value;
            }
            if (document.getElementById("cc-exp")) {
                data.card_expire = document.getElementById("cc-exp").value;
            }
            if (document.getElementById("cc-csc")) {
                data.security_code = document.getElementById("cc-csc").value;
            }
            if (document.getElementById("cardholderName")) {
                data.cardholder_name = document.getElementById("cardholderName").value;
            }
            data.lang = "ja";

            var url = document.getElementById("tokenApiUrl").innerText;

            var xhr = new XMLHttpRequest();
            xhr.open("POST", url, true);
            xhr.setRequestHeader("Accept", "application/json");
            xhr.setRequestHeader("Content-Type", "application/json; charset=utf-8");
            xhr.addEventListener("loadend",
                function () {
                    if (xhr.status === 0) {
                        alert("トークンサーバーとの接続に失敗しました");
                    }
                    var response = JSON.parse(xhr.response);
                    if (xhr.status === 200) {
                        document.getElementById("cardNumber").value = "";
                        document.getElementById("cc-exp").value = "";
                        if (document.getElementById("cc-csc") !== null) {
                            document.getElementById("cc-csc").value = "";
                        }
                        document.getElementById("token").value = response.token;
                        document.forms[0].submit();
                    } else {
                        alert(response.message);
                    }
                });
            xhr.send(JSON.stringify(data));
        } else {
            document.forms[0].submit();
        }
        return false;
    });


$("input[type=checkbox][data-togglelink=true]").bind("change",
    function () {
        var target = $(this).data("target");
        var $target = $("#" + target);
        if ($(this).prop("checked")) {
            $target.toggleClass("d-none", false);
            $target.toggleClass("d-block", true);
        } else {
            $target.toggleClass("d-none", true);
            $target.toggleClass("d-block", false);
        }
    }
);

$("#aqfCardAmount").bind("change",
    function () {
        if ($(this).val() !== null && $(this).val() !== "" && Number($(this).val()) > 0) {
            $("button[type=submit]").data("mdktoken", "enable");
            $("#cardNumber, #cc-exp, #cc-csc").prop("disabled", false);
        } else {
            $("button[type=submit]").data("mdktoken", "disable");
            $("#cardNumber, #cc-exp, #cc-csc").prop("disabled", true);
        }
    }
).trigger("change");


$AlipayPayType = $("#AlipayPaytype");
$AlipayPayType.find("[type=radio]").bind("change",
    function () {
        var $AlipayIdentityCode = $("#AlipayIdentityCode");
        var $AlipayCommodityDescription = $("#AlipayCommodityDescription");
        var $AlipayCommodityId = $("#AlipayCommodityId");
        var $AlipaySuccessUrl = $("#AlipaySuccessUrl");
        var $AlipayErrorUrl = $("#AlipayErrorUrl");
        switch ($(this).val()) {
        case "0":
            $AlipayIdentityCode.prop("disabled", true);
            $AlipayCommodityDescription.prop("disabled", false);
            $AlipayCommodityId.prop("disabled", true);
            $AlipaySuccessUrl.prop("disabled", false);
            $AlipayErrorUrl.prop("disabled", false);
            break;
        case "1":
            $AlipayIdentityCode.prop("disabled", false);
            $AlipayCommodityDescription.prop("disabled", true);
            $AlipayCommodityId.prop("disabled", true);
            $AlipaySuccessUrl.prop("disabled", true);
            $AlipayErrorUrl.prop("disabled", true);
            break;
        case "2":
            $AlipayIdentityCode.prop("disabled", true);
            $AlipayCommodityDescription.prop("disabled", false);
            $AlipayCommodityId.prop("disabled", false);
            $AlipaySuccessUrl.prop("disabled", true);
            $AlipayErrorUrl.prop("disabled", true);
            break;
        default:
            $AlipayIdentityCode.prop("disabled", true);
            $AlipayCommodityDescription.prop("disabled", false);
            $AlipayCommodityId.prop("disabled", true);
            $AlipaySuccessUrl.prop("disabled", false);
            $AlipayErrorUrl.prop("disabled", false);
        }
    });
$AlipayPayType.find("[type=radio][checked=checked]").trigger("change");


$CarrierAuthorizeAccountingType = $("#CarrierAccountingType");
$CarrierAuthorizeAccountingType.bind("change",
    function () {
        var $CarrierWithCapture = $("#CarrierWithCapture");
        var $CarrierMpFirstDate = $("#CarrierMpFirstDate");
        var $CarrierMpDay = $("#CarrierMpDay");

        switch ($(this).val()) {
        case "0":
            $CarrierWithCapture.prop("disabled", false);
            $CarrierMpFirstDate.prop("disabled", true);
            $CarrierMpDay.prop("disabled", true);
            break;
        case "1":
            $CarrierWithCapture.prop("disabled", true);
            $CarrierMpFirstDate.prop("disabled", false);
            $CarrierMpDay.prop("disabled", false);
            break;
        default:

        }
    });
$CarrierAuthorizeAccountingType.trigger("change");

$CarrierAuthorizeServiceOptionType = $("#CarrierAuthorizeServiceOptionType");
$CarrierAuthorizeServiceOptionType.bind("change",
    function () {
        var $CarrierD3Flag = $("#CarrierD3Flag");
        var $CarrierOpenId = $("#CarrierOpenId");
        var $CarrierLoginAuId = $("#CarrierLoginAuId");
        var $CarrierFletsArea = $("#CarrierFletsArea");

        switch ($(this).val()) {
        case "sb_ktai":
            $CarrierD3Flag.prop("disabled", false);
            $CarrierOpenId.prop("disabled", true);
            $CarrierLoginAuId.prop("disabled", true);
            $CarrierFletsArea.prop("disabled", true);
            break;
        case "docomo":
            $CarrierD3Flag.prop("disabled", true);
            $CarrierOpenId.prop("disabled", false);
            $CarrierLoginAuId.prop("disabled", true);
            $CarrierFletsArea.prop("disabled", true);
            break;
        case "au":
            $CarrierD3Flag.prop("disabled", true);
            $CarrierOpenId.prop("disabled", false);
            $CarrierLoginAuId.prop("disabled", false);
            $CarrierFletsArea.prop("disabled", true);
            break;
        case "flets":
            $CarrierD3Flag.prop("disabled", true);
            $CarrierOpenId.prop("disabled", true);
            $CarrierLoginAuId.prop("disabled", true);
            $CarrierFletsArea.prop("disabled", false);
            break;
        default:
            $CarrierD3Flag.prop("disabled", true);
            $CarrierOpenId.prop("disabled", true);
            $CarrierLoginAuId.prop("disabled", true);
            $CarrierFletsArea.prop("disabled", true);
        }
    });
$CarrierAuthorizeServiceOptionType.trigger("change");


$CarrierTerminateServiceOptionType = $("#CarrierTerminateServiceOptionType");
$CarrierTerminateServiceOptionType.bind("change",
    function () {
        var $SuccessUrl = $("#SuccessUrl");
        var $CancelUrl = $("#CancelUrl");
        var $ErrorUrl = $("#ErrorUrl");
        var $PushUrl = $("#PushUrl");
        var $TerminalKind = $("#TerminalKind");

        switch ($(this).val()) {
        case "sb_ktai":
            $SuccessUrl.prop("disabled", true);
            $CancelUrl.prop("disabled", true);
            $ErrorUrl.prop("disabled", true);
            $PushUrl.prop("disabled", true);
            $TerminalKind.prop("disabled", true);
            break;
        case "au":
            $SuccessUrl.prop("disabled", true);
            $CancelUrl.prop("disabled", true);
            $ErrorUrl.prop("disabled", true);
            $PushUrl.prop("disabled", true);
            $TerminalKind.prop("disabled", false);
            break;
        default:
            $SuccessUrl.prop("disabled", false);
            $CancelUrl.prop("disabled", false);
            $ErrorUrl.prop("disabled", false);
            $PushUrl.prop("disabled", false);
            $TerminalKind.prop("disabled", false);
        }
    });
$CarrierTerminateServiceOptionType.trigger("change");


$OricoItems = $("#OricoItems");
$OricoItems.find("input[type=number]").bind("change",
    function () {
        var amount1 = parseInt($("#ItemAmount1").val());
        if (isNaN(amount1)) amount1 = 0;
        var amount2 = parseInt($("#ItemAmount2").val());
        if (isNaN(amount2)) amount2 = 0;
        var amount3 = parseInt($("#ItemAmount3").val());
        if (isNaN(amount3)) amount3 = 0;
        var amount4 = parseInt($("#ItemAmount4").val());
        if (isNaN(amount4)) amount4 = 0;
        var amount5 = parseInt($("#ItemAmount5").val());
        if (isNaN(amount5)) amount5 = 0;
        var amount = amount1 + amount2 + amount3 + amount4 + amount5;
        $("#TotalItemAmount").val(amount.toString());
        var carriage = parseInt($("#TotalCarriage").val());
        if (isNaN(carriage)) carriage = 0;
        $("#Amount").val((amount + carriage).toString());
    }).trigger("change");

$OricoItems.find("input[type=text]").bind("change",
    function () {
        for (var i = 1; i <= 5; i++) {
            if ($("#ItemName" + i.toString()).val() !== "") {
                $("#ItemAmount" + i.toString()).prop("readonly", false);
                $("#ItemCount" + i.toString()).prop("readonly", false);
            } else {
                var $itemAmount = $("#ItemAmount" + i.toString());
                var $itemCount = $("#ItemCount" + i.toString());
                if (i !== 1) {
                    $itemAmount.val(null);
                    $itemCount.val(null);
                    $Items.find("input[type=number]").trigger("change");
                }
                $itemAmount.prop("readonly", true);
                $itemCount.prop("readonly", true);
            }
        }
    }).trigger("change");


$("#RecurringCardId").bind("change",
    function () {
        if ($(this).val() !== null && $(this).val() !== "") {
            $("#RecurringSubmit").data("mdktoken", "disable");
            $("#cardNumber, #cc-exp, #cc-csc").prop("disabled", true);
        } else {
            $("#RecurringSubmit").data("mdktoken", "enable");
            $("#cardNumber, #cc-exp, #cc-csc").prop("disabled", false);
        }
    }
).trigger("change");

$("#RecurringChargeMode").bind("change",
    function () {
        if ($(this).val() === "2") {
            $("#RecurringStartDate").prop("disabled", true);
        } else {
            $("#RecurringStartDate").prop("disabled", false);
        }
    }
).trigger("change");


$("#PayNowIdAuthorizeCardId").bind("change",
    function () {
        if ($(this).val() !== null && $(this).val() !== "") {
            $("#PayNowIdAuthorizeSubmit").data("mdktoken", "disable");
            $("#cardNumber, #cc-exp, #cc-csc").prop("disabled", true);
        } else {
            $("#PayNowIdAuthorizeSubmit").data("mdktoken", "enable");
            $("#cardNumber, #cc-exp, #cc-csc").prop("disabled", false);
        }
    }
).trigger("change");

$("#LinePayPaymentConfirmType").bind("change",
    function () {
        if ($(this).val() === "1") {
            $("#LinePayAppUrlScheme").prop("disabled", true);
            $("#LinePayUseOriginalApp").prop("disabled", true);
            $("#LinePayPackageName").prop("disabled", true);
            $("#LinePaySuccessUrl").prop("disabled", true);
            $("#LinePayCancelUrl").prop("disabled", true);
            $("#LinePayErrorUrl").prop("disabled", true);
        } else {
            $("#LinePayAppUrlScheme").prop("disabled", false);
            $("#LinePayUseOriginalApp").prop("disabled", false);
            $("#LinePayPackageName").prop("disabled", false);
            $("#LinePaySuccessUrl").prop("disabled", false);
            $("#LinePayCancelUrl").prop("disabled", false);
            $("#LinePayErrorUrl").prop("disabled", false);
        }
    }
).trigger("change");

$("#LinePayOneTimeKey").bind("change",
    function () {
        if ($(this).val() !== "") {
            $("#LinePayPaymentConfirmType").val("1").trigger("change");
        }
    }).trigger("change");


$MasterPassItems = $("#MasterPassItems");
$MasterPassItems.find("input[type=number]").bind("change",
    function () {
        var value1 = parseInt($("#Value1").val());
        if (isNaN(value1)) value1 = 0;
        var value2 = parseInt($("#Value2").val());
        if (isNaN(value2)) value2 = 0;
        var value3 = parseInt($("#Value3").val());
        if (isNaN(value3)) value3 = 0;
        var value4 = parseInt($("#Value4").val());
        if (isNaN(value4)) value4 = 0;
        var value5 = parseInt($("#Value5").val());
        if (isNaN(value5)) value5 = 0;
        var value6 = parseInt($("#Value6").val());
        if (isNaN(value6)) value6 = 0;
        var value7 = parseInt($("#Value7").val());
        if (isNaN(value7)) value7 = 0;
        var value8 = parseInt($("#Value8").val());
        if (isNaN(value8)) value8 = 0;
        var value9 = parseInt($("#Value9").val());
        if (isNaN(value9)) value9 = 0;
        var value10 = parseInt($("#Value10").val());
        if (isNaN(value10)) value10 = 0;
        var value = value1 + value2 + value3 + value4 + value5 + value6 + value7 + value8 + value9 + value10;
        $("#ItemAmount").val(value.toString());

    }).trigger("change");

$MasterPassItems.find("input[type=text]").bind("change",
    function () {
        for (var i = 1; i <= 10; i++) {
            if ($("#Description" + i.toString()).val() !== "") {
                $("#Value" + i.toString()).prop("readonly", false);
                $("#Quantity" + i.toString()).prop("readonly", false);
            } else {
                var $value = $("#Value" + i.toString());
                var $quantity = $("#Quantity" + i.toString());
                if (i !== 1) {
                    $value.val(null);
                    $quantity.val(null);
                    $MasterPassItems.find("input[type=number]").trigger("change");
                }
                $value.prop("readonly", true);
                $quantity.prop("readonly", true);
            }
        }
    }).trigger("change");


function setOrderId(targetId) {
    document.getElementById(targetId).value = "dummy" + (new Date().getTime()).toString();
}

function setOrderIdTwo(targetId1, targetId2) {
    let orderId = "dummy" + (new Date().getTime()).toString();
    document.getElementById(targetId1).value = orderId;
    document.getElementById(targetId2).value = orderId;
}